/*===========================================================================*/
/*   (Llib/pulseaudio.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi pulseaudio -copt -D_REENTRANT -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/pulseaudio.scm -o objs/pulseaudio.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/simple.h>
#include <pulse/version.h>
#include <pulse/sample.h>
#include <pulse/error.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PULSEAUDIO_PULSEAUDIO_TYPE_DEFINITIONS
#define BGL___PULSEAUDIO_PULSEAUDIO_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pulseaudiozd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pulseaudiozd2objectzd2_bglt;

typedef struct BgL_z62pulseaudiozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62pulseaudiozd2errorzb0_bglt;


#endif // BGL___PULSEAUDIO_PULSEAUDIO_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pulseaudio_pulseaudioz00(void);
static obj_t BGl_genericzd2initzd2zz__pulseaudio_pulseaudioz00(void);
static obj_t BGl_objectzd2initzd2zz__pulseaudio_pulseaudioz00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2initzd2zz__pulseaudio_pulseaudioz00(BgL_pulseaudiozd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62pulseaudiozd2initzb0zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2headerszd2versionz00zz__pulseaudio_pulseaudioz00(void);
static obj_t BGl_methodzd2initzd2zz__pulseaudio_pulseaudioz00(void);
static obj_t BGl_z62pulseaudiozd2headerszd2versionz62zz__pulseaudio_pulseaudioz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31083ze3ze5zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31093ze3ze5zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_pulseaudiozd2objectzd2_bglt BGl_z62lambda1081z62zz__pulseaudio_pulseaudioz00(obj_t);
static BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1089z62zz__pulseaudio_pulseaudioz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1091z62zz__pulseaudio_pulseaudioz00(obj_t);
static obj_t BGl_z62pulseaudiozd2init1066zb0zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__pulseaudio_pulseaudioz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_pulseaudioz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_pulseaudioz00(void);
BGL_EXPORTED_DECL int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62pulseaudiozd2error1100zb0zz__pulseaudio_pulseaudioz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00 = BUNSPEC;
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2headerszd2versionzd2envzd2zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21122z00, BGl_z62pulseaudiozd2headerszd2versionz62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21123z00, BGl_z62pulseaudiozd2initzb0zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1107z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1107za700za7za7_1124za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/pulseaudio/src/Llib/pulseaudio.scm", 90 );
DEFINE_STRING( BGl_string1108z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1108za700za7za7_1125za7, "&pulseaudio-error1100", 21 );
DEFINE_STRING( BGl_string1109z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1109za700za7za7_1126za7, "bstring", 7 );
DEFINE_STRING( BGl_string1116z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1116za700za7za7_1127za7, "pulseaudio-init1066", 19 );
DEFINE_STRING( BGl_string1117z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1117za700za7za7_1128za7, "&pulseaudio-init", 16 );
DEFINE_STRING( BGl_string1118z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1118za700za7za7_1129za7, "pulseaudio-object", 17 );
DEFINE_STRING( BGl_string1119z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1119za700za7za7_1130za7, "&pulseaudio-error __pulseaudio_pulseaudio pulseaudio-object ", 60 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1110z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762za7c3za704anonymo1131za7, BGl_z62zc3z04anonymousza31083ze3ze5zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1111z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762lambda1081za7621132z00, BGl_z62lambda1081z62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1112z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762za7c3za704anonymo1133za7, BGl_z62zc3z04anonymousza31093ze3ze5zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1113z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762lambda1091za7621134z00, BGl_z62lambda1091z62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1114z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762lambda1089za7621135z00, BGl_z62lambda1089z62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1115z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21136z00, BGl_z62pulseaudiozd2init1066zb0zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2errorzd2envz00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21137z00, BGl_z62pulseaudiozd2error1100zb0zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00) );
ADD_ROOT( (void *)(&BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00) );
ADD_ROOT( (void *)(&BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long BgL_checksumz00_210, char * BgL_fromz00_211)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00))
{ 
BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pulseaudio_pulseaudioz00(); 
BGl_libraryzd2moduleszd2initz00zz__pulseaudio_pulseaudioz00(); 
BGl_cnstzd2initzd2zz__pulseaudio_pulseaudioz00(); 
BGl_objectzd2initzd2zz__pulseaudio_pulseaudioz00(); 
BGl_genericzd2initzd2zz__pulseaudio_pulseaudioz00(); 
return 
BGl_toplevelzd2initzd2zz__pulseaudio_pulseaudioz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__pulseaudio_pulseaudio"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_cportz00_149;
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_stringz00_156;
BgL_stringz00_156 = BGl_string1119z00zz__pulseaudio_pulseaudioz00; 
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_startz00_157;
BgL_startz00_157 = 
BINT(0L); 
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_endz00_158;
BgL_endz00_158 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_156))); 
{ /* Llib/pulseaudio.scm 15 */

BgL_cportz00_149 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_156, BgL_startz00_157, BgL_endz00_158); } } } } 
{ 
 long BgL_iz00_150;
BgL_iz00_150 = 2L; 
BgL_loopz00_151:
if(
(BgL_iz00_150==(-1L)))
{ /* Llib/pulseaudio.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pulseaudio.scm 15 */
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_arg1120z00_152;
{ /* Llib/pulseaudio.scm 15 */

{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_locationz00_154;
BgL_locationz00_154 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pulseaudio.scm 15 */

BgL_arg1120z00_152 = 
BGl_readz00zz__readerz00(BgL_cportz00_149, BgL_locationz00_154); } } } 
{ /* Llib/pulseaudio.scm 15 */
 int BgL_tmpz00_240;
BgL_tmpz00_240 = 
(int)(BgL_iz00_150); 
CNST_TABLE_SET(BgL_tmpz00_240, BgL_arg1120z00_152); } } 
{ /* Llib/pulseaudio.scm 15 */
 int BgL_auxz00_155;
BgL_auxz00_155 = 
(int)(
(BgL_iz00_150-1L)); 
{ 
 long BgL_iz00_245;
BgL_iz00_245 = 
(long)(BgL_auxz00_155); 
BgL_iz00_150 = BgL_iz00_245; 
goto BgL_loopz00_151;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
return BUNSPEC;} 

}



/* pulseaudio-error */
BGL_EXPORTED_DEF int bgl_pulseaudio_error(char * BgL_procz00_4, char * BgL_msgz00_5, obj_t BgL_objz00_6)
{
{ /* Llib/pulseaudio.scm 42 */
{ /* Llib/pulseaudio.scm 44 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_arg1072z00_16;
{ /* Llib/pulseaudio.scm 44 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1059z00_17;
{ /* Llib/pulseaudio.scm 44 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1058z00_20;
BgL_new1058z00_20 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62pulseaudiozd2errorzb0_bgl) ))); 
{ /* Llib/pulseaudio.scm 44 */
 long BgL_arg1076z00_21;
BgL_arg1076z00_21 = 
BGL_CLASS_NUM(BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_20), BgL_arg1076z00_21); } 
BgL_new1059z00_17 = BgL_new1058z00_20; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1059z00_17)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1059z00_17)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_256;
{ /* Llib/pulseaudio.scm 44 */
 obj_t BgL_arg1073z00_18;
{ /* Llib/pulseaudio.scm 44 */
 obj_t BgL_arg1075z00_19;
{ /* Llib/pulseaudio.scm 44 */
 obj_t BgL_classz00_68;
BgL_classz00_68 = BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00; 
BgL_arg1075z00_19 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_68); } 
BgL_arg1073z00_18 = 
VECTOR_REF(BgL_arg1075z00_19,2L); } 
BgL_auxz00_256 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1073z00_18); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1059z00_17)))->BgL_stackz00)=((obj_t)BgL_auxz00_256),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1059z00_17)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_4)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1059z00_17)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_5)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1059z00_17)))->BgL_objz00)=((obj_t)BgL_objz00_6),BUNSPEC); 
BgL_arg1072z00_16 = BgL_new1059z00_17; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1072z00_16)); } 
return 
(int)(0L);} 

}



/* &pulseaudio-error1100 */
obj_t BGl_z62pulseaudiozd2error1100zb0zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_113, obj_t BgL_procz00_114, obj_t BgL_msgz00_115, obj_t BgL_objz00_116)
{
{ /* Llib/pulseaudio.scm 42 */
{ /* Llib/pulseaudio.scm 47 */
 int BgL_tmpz00_273;
{ /* Llib/pulseaudio.scm 47 */
 char * BgL_auxz00_283; char * BgL_auxz00_274;
{ /* Llib/pulseaudio.scm 47 */
 obj_t BgL_tmpz00_284;
if(
STRINGP(BgL_msgz00_115))
{ /* Llib/pulseaudio.scm 47 */
BgL_tmpz00_284 = BgL_msgz00_115
; }  else 
{ 
 obj_t BgL_auxz00_287;
BgL_auxz00_287 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1107z00zz__pulseaudio_pulseaudioz00, 
BINT(2044L), BGl_string1108z00zz__pulseaudio_pulseaudioz00, BGl_string1109z00zz__pulseaudio_pulseaudioz00, BgL_msgz00_115); 
FAILURE(BgL_auxz00_287,BFALSE,BFALSE);} 
BgL_auxz00_283 = 
BSTRING_TO_STRING(BgL_tmpz00_284); } 
{ /* Llib/pulseaudio.scm 47 */
 obj_t BgL_tmpz00_275;
if(
STRINGP(BgL_procz00_114))
{ /* Llib/pulseaudio.scm 47 */
BgL_tmpz00_275 = BgL_procz00_114
; }  else 
{ 
 obj_t BgL_auxz00_278;
BgL_auxz00_278 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1107z00zz__pulseaudio_pulseaudioz00, 
BINT(2044L), BGl_string1108z00zz__pulseaudio_pulseaudioz00, BGl_string1109z00zz__pulseaudio_pulseaudioz00, BgL_procz00_114); 
FAILURE(BgL_auxz00_278,BFALSE,BFALSE);} 
BgL_auxz00_274 = 
BSTRING_TO_STRING(BgL_tmpz00_275); } 
BgL_tmpz00_273 = 
bgl_pulseaudio_error(BgL_auxz00_274, BgL_auxz00_283, BgL_objz00_116); } 
return 
BINT(BgL_tmpz00_273);} } 

}



/* pulseaudio-headers-version */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2headerszd2versionz00zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 53 */
return 
string_to_bstring(
pa_get_headers_version());} 

}



/* &pulseaudio-headers-version */
obj_t BGl_z62pulseaudiozd2headerszd2versionz62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_117)
{
{ /* Llib/pulseaudio.scm 53 */
return 
BGl_pulseaudiozd2headerszd2versionz00zz__pulseaudio_pulseaudioz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
{ /* Llib/pulseaudio.scm 23 */
 obj_t BgL_arg1079z00_24; obj_t BgL_arg1080z00_25;
{ /* Llib/pulseaudio.scm 23 */
 obj_t BgL_v1062z00_31;
BgL_v1062z00_31 = 
create_vector(0L); 
BgL_arg1079z00_24 = BgL_v1062z00_31; } 
{ /* Llib/pulseaudio.scm 23 */
 obj_t BgL_v1063z00_32;
BgL_v1063z00_32 = 
create_vector(0L); 
BgL_arg1080z00_25 = BgL_v1063z00_32; } 
BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_objectz00zz__objectz00, 54355L, BFALSE, BGl_proc1111z00zz__pulseaudio_pulseaudioz00, BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, BGl_proc1110z00zz__pulseaudio_pulseaudioz00, BFALSE, BgL_arg1079z00_24, BgL_arg1080z00_25); } 
{ /* Llib/pulseaudio.scm 28 */
 obj_t BgL_arg1087z00_38; obj_t BgL_arg1088z00_39;
{ /* Llib/pulseaudio.scm 28 */
 obj_t BgL_v1064z00_55;
BgL_v1064z00_55 = 
create_vector(0L); 
BgL_arg1087z00_38 = BgL_v1064z00_55; } 
{ /* Llib/pulseaudio.scm 28 */
 obj_t BgL_v1065z00_56;
BgL_v1065z00_56 = 
create_vector(0L); 
BgL_arg1088z00_39 = BgL_v1065z00_56; } 
return ( 
BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_z62errorz62zz__objectz00, 58711L, BGl_proc1114z00zz__pulseaudio_pulseaudioz00, BGl_proc1113z00zz__pulseaudio_pulseaudioz00, BFALSE, BGl_proc1112z00zz__pulseaudio_pulseaudioz00, BFALSE, BgL_arg1087z00_38, BgL_arg1088z00_39), BUNSPEC) ;} } 

}



/* &<@anonymous:1093> */
obj_t BGl_z62zc3z04anonymousza31093ze3ze5zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_123, obj_t BgL_new1057z00_124)
{
{ /* Llib/pulseaudio.scm 28 */
{ 
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_auxz00_311;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_311 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1057z00_124); 
return 
((obj_t)BgL_auxz00_311);} } 

}



/* &lambda1091 */
BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1091z62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_125)
{
{ /* Llib/pulseaudio.scm 28 */
{ /* Llib/pulseaudio.scm 28 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1056z00_161;
BgL_new1056z00_161 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62pulseaudiozd2errorzb0_bgl) ))); 
{ /* Llib/pulseaudio.scm 28 */
 long BgL_arg1092z00_162;
BgL_arg1092z00_162 = 
BGL_CLASS_NUM(BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_161), BgL_arg1092z00_162); } 
return BgL_new1056z00_161;} } 

}



/* &lambda1089 */
BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1089z62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_126, obj_t BgL_fname1050z00_127, obj_t BgL_location1051z00_128, obj_t BgL_stack1052z00_129, obj_t BgL_proc1053z00_130, obj_t BgL_msg1054z00_131, obj_t BgL_obj1055z00_132)
{
{ /* Llib/pulseaudio.scm 28 */
{ /* Llib/pulseaudio.scm 28 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1061z00_163;
{ /* Llib/pulseaudio.scm 28 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1060z00_164;
BgL_new1060z00_164 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62pulseaudiozd2errorzb0_bgl) ))); 
{ /* Llib/pulseaudio.scm 28 */
 long BgL_arg1090z00_165;
BgL_arg1090z00_165 = 
BGL_CLASS_NUM(BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_164), BgL_arg1090z00_165); } 
BgL_new1061z00_163 = BgL_new1060z00_164; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_163)))->BgL_fnamez00)=((obj_t)BgL_fname1050z00_127),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_163)))->BgL_locationz00)=((obj_t)BgL_location1051z00_128),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_163)))->BgL_stackz00)=((obj_t)BgL_stack1052z00_129),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_163)))->BgL_procz00)=((obj_t)BgL_proc1053z00_130),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_163)))->BgL_msgz00)=((obj_t)BgL_msg1054z00_131),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_163)))->BgL_objz00)=((obj_t)BgL_obj1055z00_132),BUNSPEC); 
return BgL_new1061z00_163;} } 

}



/* &<@anonymous:1083> */
obj_t BGl_z62zc3z04anonymousza31083ze3ze5zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_133, obj_t BgL_new1048z00_134)
{
{ /* Llib/pulseaudio.scm 23 */
return 
((obj_t)
((BgL_pulseaudiozd2objectzd2_bglt)BgL_new1048z00_134));} 

}



/* &lambda1081 */
BgL_pulseaudiozd2objectzd2_bglt BGl_z62lambda1081z62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_135)
{
{ /* Llib/pulseaudio.scm 23 */
{ /* Llib/pulseaudio.scm 23 */
 BgL_pulseaudiozd2objectzd2_bglt BgL_new1047z00_167;
BgL_new1047z00_167 = 
((BgL_pulseaudiozd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2objectzd2_bgl) ))); 
{ /* Llib/pulseaudio.scm 23 */
 long BgL_arg1082z00_168;
BgL_arg1082z00_168 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_167), BgL_arg1082z00_168); } 
return BgL_new1047z00_167;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, BGl_proc1115z00zz__pulseaudio_pulseaudioz00, BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00, BGl_string1116z00zz__pulseaudio_pulseaudioz00);} 

}



/* &pulseaudio-init1066 */
obj_t BGl_z62pulseaudiozd2init1066zb0zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_139, obj_t BgL_oz00_140)
{
{ /* Llib/pulseaudio.scm 36 */
return 
((obj_t)
((BgL_pulseaudiozd2objectzd2_bglt)BgL_oz00_140));} 

}



/* pulseaudio-init */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2initzd2zz__pulseaudio_pulseaudioz00(BgL_pulseaudiozd2objectzd2_bglt BgL_oz00_3)
{
{ /* Llib/pulseaudio.scm 36 */
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_method1067z00_64;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_res1099z00_112;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_objzd2classzd2numz00_83;
BgL_objzd2classzd2numz00_83 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1831z00_84;
BgL_arg1831z00_84 = 
PROCEDURE_REF(BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, 
(int)(1L)); 
{ /* Llib/pulseaudio.scm 36 */
 int BgL_offsetz00_87;
BgL_offsetz00_87 = 
(int)(BgL_objzd2classzd2numz00_83); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_offsetz00_88;
BgL_offsetz00_88 = 
(
(long)(BgL_offsetz00_87)-OBJECT_TYPE); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_modz00_89;
BgL_modz00_89 = 
(BgL_offsetz00_88 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_restz00_91;
BgL_restz00_91 = 
(BgL_offsetz00_88 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/pulseaudio.scm 36 */

{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_bucketz00_93;
BgL_bucketz00_93 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_84),BgL_modz00_89); 
BgL_res1099z00_112 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_93),BgL_restz00_91); } } } } } } } } 
BgL_method1067z00_64 = BgL_res1099z00_112; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1067z00_64, 
((obj_t)BgL_oz00_3));} } 

}



/* &pulseaudio-init */
obj_t BGl_z62pulseaudiozd2initzb0zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_136, obj_t BgL_oz00_137)
{
{ /* Llib/pulseaudio.scm 36 */
{ /* Llib/pulseaudio.scm 36 */
 BgL_pulseaudiozd2objectzd2_bglt BgL_auxz00_391;
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL_test1142z00_392;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_classz00_170;
BgL_classz00_170 = BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00; 
if(
BGL_OBJECTP(BgL_oz00_137))
{ /* Llib/pulseaudio.scm 36 */
 BgL_objectz00_bglt BgL_arg1829z00_172; long BgL_arg1830z00_173;
BgL_arg1829z00_172 = 
(BgL_objectz00_bglt)(BgL_oz00_137); 
BgL_arg1830z00_173 = 
BGL_CLASS_DEPTH(BgL_classz00_170); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pulseaudio.scm 36 */
 long BgL_idxz00_181;
BgL_idxz00_181 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_172); 
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1820z00_182;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_arg1821z00_183;
BgL_arg1821z00_183 = 
(BgL_idxz00_181+BgL_arg1830z00_173); 
BgL_arg1820z00_182 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_183); } 
BgL_test1142z00_392 = 
(BgL_arg1820z00_182==BgL_classz00_170); } }  else 
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL_res1121z00_209;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_oclassz00_191;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1834z00_199; long BgL_arg1835z00_200;
BgL_arg1834z00_199 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_arg1836z00_201;
BgL_arg1836z00_201 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_172); 
BgL_arg1835z00_200 = 
(BgL_arg1836z00_201-OBJECT_TYPE); } 
BgL_oclassz00_191 = 
VECTOR_REF(BgL_arg1834z00_199,BgL_arg1835z00_200); } 
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL__ortest_1114z00_192;
BgL__ortest_1114z00_192 = 
(BgL_classz00_170==BgL_oclassz00_191); 
if(BgL__ortest_1114z00_192)
{ /* Llib/pulseaudio.scm 36 */
BgL_res1121z00_209 = BgL__ortest_1114z00_192; }  else 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_odepthz00_193;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1824z00_194;
BgL_arg1824z00_194 = 
(BgL_oclassz00_191); 
BgL_odepthz00_193 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_194); } 
if(
(BgL_arg1830z00_173<BgL_odepthz00_193))
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1822z00_196;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1823z00_197;
BgL_arg1823z00_197 = 
(BgL_oclassz00_191); 
BgL_arg1822z00_196 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_197, BgL_arg1830z00_173); } 
BgL_res1121z00_209 = 
(BgL_arg1822z00_196==BgL_classz00_170); }  else 
{ /* Llib/pulseaudio.scm 36 */
BgL_res1121z00_209 = ((bool_t)0); } } } } 
BgL_test1142z00_392 = BgL_res1121z00_209; } }  else 
{ /* Llib/pulseaudio.scm 36 */
BgL_test1142z00_392 = ((bool_t)0)
; } } 
if(BgL_test1142z00_392)
{ /* Llib/pulseaudio.scm 36 */
BgL_auxz00_391 = 
((BgL_pulseaudiozd2objectzd2_bglt)BgL_oz00_137)
; }  else 
{ 
 obj_t BgL_auxz00_417;
BgL_auxz00_417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1107z00zz__pulseaudio_pulseaudioz00, 
BINT(1634L), BGl_string1117z00zz__pulseaudio_pulseaudioz00, BGl_string1118z00zz__pulseaudio_pulseaudioz00, BgL_oz00_137); 
FAILURE(BgL_auxz00_417,BFALSE,BFALSE);} } 
return 
BGl_pulseaudiozd2initzd2zz__pulseaudio_pulseaudioz00(BgL_auxz00_391);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pulseaudio_pulseaudioz00(void)
{
{ /* Llib/pulseaudio.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
