/*===========================================================================*/
/*   (Command/expr.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -O5 -unsafe -c Command/expr.scm -o Command/expr.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COMMAND_EXPR_TYPE_DEFINITIONS
#define BGL_COMMAND_EXPR_TYPE_DEFINITIONS
#endif // BGL_COMMAND_EXPR_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_bdbzd2notifyzd2errorz00zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_compileze70ze7zzcommand_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcommand_exprz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcommand_exprz00(void);
static obj_t BGl_z62zc3z04anonymousza31043ze3ze5zzcommand_exprz00(obj_t);
static obj_t BGl_genericzd2initzd2zzcommand_exprz00(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_objectzd2initzd2zzcommand_exprz00(void);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31046ze3ze5zzcommand_exprz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_resetzd2expressionzd2tablez12z12zzcommand_exprz00(void);
extern bool_t BGl_bigloozd2identzf3z21zztools_toolsz00(obj_t);
BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31047ze3ze5zzcommand_exprz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static bool_t BGl_bigloozd2exprzf3z21zzcommand_exprz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcommand_exprz00(void);
BGL_EXPORTED_DECL obj_t BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_bdbzd2manglezd2zzpatient_manglingz00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_initzd2expressionzd2tablez12z12zzcommand_exprz00(void);
static obj_t BGl_zc3z04anonymousza31043ze3ze70z60zzcommand_exprz00(obj_t, obj_t);
static obj_t BGl_z62gdbzd2exprzd2ze3bdbzd2exprz53zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_manglingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_toolsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_z62tryz62zz__errorz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_bigloozd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t, obj_t);
extern obj_t BGl_bdbzd2manglezd2forzd2funcallzd2zzpatient_manglingz00(obj_t);
extern obj_t BGl_za2bdbzd2modeza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcommand_exprz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_exprz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_exprz00(void);
static obj_t BGl_gczd2rootszd2initz00zzcommand_exprz00(void);
static obj_t BGl_z62resetzd2expressionzd2tablez12z70zzcommand_exprz00(obj_t);
static obj_t BGl_compilezd2exprzd2zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_loopze70ze7zzcommand_exprz00(obj_t, obj_t);
static obj_t BGl_loopze71ze7zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2casezd2sensitivez00zz__readerz00(obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2exprzd2ze3bdbzd2exprz31zzcommand_exprz00(obj_t);
extern obj_t BGl_bdbzd2mangle2zd2zzpatient_manglingz00(obj_t, obj_t);
static obj_t BGl_z62bdbzd2exprzd2ze3gdbzd2exprz53zzcommand_exprz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t __cnst[ 5 ] ;


DEFINE_STRING( BGl_string1153z00zzcommand_exprz00, BgL_bgl_string1153za700za7za7c1181za7, "]\n", 2 );
DEFINE_STRING( BGl_string1154z00zzcommand_exprz00, BgL_bgl_string1154za700za7za7c1182za7, "] -> [", 6 );
DEFINE_STRING( BGl_string1155z00zzcommand_exprz00, BgL_bgl_string1155za700za7za7c1183za7, "bdb-expr->gdb-exp [", 19 );
DEFINE_STRING( BGl_string1157z00zzcommand_exprz00, BgL_bgl_string1157za700za7za7c1184za7, "eval", 4 );
DEFINE_STRING( BGl_string1158z00zzcommand_exprz00, BgL_bgl_string1158za700za7za7c1185za7, "Junk at end of expression", 25 );
DEFINE_STRING( BGl_string1159z00zzcommand_exprz00, BgL_bgl_string1159za700za7za7c1186za7, ")", 1 );
DEFINE_STRING( BGl_string1160z00zzcommand_exprz00, BgL_bgl_string1160za700za7za7c1187za7, ", ", 2 );
DEFINE_STRING( BGl_string1161z00zzcommand_exprz00, BgL_bgl_string1161za700za7za7c1188za7, "bdb_nil()", 9 );
DEFINE_STRING( BGl_string1162z00zzcommand_exprz00, BgL_bgl_string1162za700za7za7c1189za7, "make_pair(", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1156z00zzcommand_exprz00, BgL_bgl_za762za7c3za704anonymo1190za7, BGl_z62zc3z04anonymousza31047ze3ze5zzcommand_exprz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1163z00zzcommand_exprz00, BgL_bgl_string1163za700za7za7c1191za7, " )", 2 );
DEFINE_STRING( BGl_string1164z00zzcommand_exprz00, BgL_bgl_string1164za700za7za7c1192za7, "bdb_funcall( ", 13 );
DEFINE_STRING( BGl_string1165z00zzcommand_exprz00, BgL_bgl_string1165za700za7za7c1193za7, "()", 2 );
DEFINE_STRING( BGl_string1166z00zzcommand_exprz00, BgL_bgl_string1166za700za7za7c1194za7, "(", 1 );
DEFINE_STRING( BGl_string1167z00zzcommand_exprz00, BgL_bgl_string1167za700za7za7c1195za7, "bdb_bchar( ", 11 );
DEFINE_STRING( BGl_string1168z00zzcommand_exprz00, BgL_bgl_string1168za700za7za7c1196za7, "Unknown function", 16 );
DEFINE_STRING( BGl_string1169z00zzcommand_exprz00, BgL_bgl_string1169za700za7za7c1197za7, "bdb_bint( ", 10 );
DEFINE_STRING( BGl_string1170z00zzcommand_exprz00, BgL_bgl_string1170za700za7za7c1198za7, "bdb_true()", 10 );
DEFINE_STRING( BGl_string1171z00zzcommand_exprz00, BgL_bgl_string1171za700za7za7c1199za7, "bdb_false()", 11 );
DEFINE_STRING( BGl_string1172z00zzcommand_exprz00, BgL_bgl_string1172za700za7za7c1200za7, "BUNSPEC", 7 );
DEFINE_STRING( BGl_string1173z00zzcommand_exprz00, BgL_bgl_string1173za700za7za7c1201za7, " ) ", 3 );
DEFINE_STRING( BGl_string1174z00zzcommand_exprz00, BgL_bgl_string1174za700za7za7c1202za7, "if( ", 4 );
DEFINE_STRING( BGl_string1175z00zzcommand_exprz00, BgL_bgl_string1175za700za7za7c1203za7, " else ", 6 );
DEFINE_STRING( BGl_string1176z00zzcommand_exprz00, BgL_bgl_string1176za700za7za7c1204za7, "command_expr", 12 );
DEFINE_STRING( BGl_string1177z00zzcommand_exprz00, BgL_bgl_string1177za700za7za7c1205za7, "begin if app no (scheme mixte) ", 31 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bdbzd2exprzd2ze3gdbzd2exprzd2envze3zzcommand_exprz00, BgL_bgl_za762bdbza7d2exprza7d21206za7, BGl_z62bdbzd2exprzd2ze3gdbzd2exprz53zzcommand_exprz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2exprzd2ze3bdbzd2exprzd2envze3zzcommand_exprz00, BgL_bgl_za762gdbza7d2exprza7d21207za7, BGl_z62gdbzd2exprzd2ze3bdbzd2exprz53zzcommand_exprz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_resetzd2expressionzd2tablez12zd2envzc0zzcommand_exprz00, BgL_bgl_za762resetza7d2expre1208z00, BGl_z62resetzd2expressionzd2tablez12z70zzcommand_exprz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_exprz00) );
ADD_ROOT( (void *)(&BGl_za2expressionzd2tableza2zd2zzcommand_exprz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_exprz00(long BgL_checksumz00_355, char * BgL_fromz00_356)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_exprz00))
{ 
BGl_requirezd2initializa7ationz75zzcommand_exprz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_exprz00(); 
BGl_libraryzd2moduleszd2initz00zzcommand_exprz00(); 
BGl_cnstzd2initzd2zzcommand_exprz00(); 
BGl_importedzd2moduleszd2initz00zzcommand_exprz00(); 
return 
BGl_toplevelzd2initzd2zzcommand_exprz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__hashz00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "command_expr"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
{ /* Command/expr.scm 14 */
 obj_t BgL_cportz00_344;
{ /* Command/expr.scm 14 */
 obj_t BgL_stringz00_351;
BgL_stringz00_351 = BGl_string1177z00zzcommand_exprz00; 
{ /* Command/expr.scm 14 */
 obj_t BgL_startz00_352;
BgL_startz00_352 = 
BINT(0L); 
{ /* Command/expr.scm 14 */
 obj_t BgL_endz00_353;
BgL_endz00_353 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_351))); 
{ /* Command/expr.scm 14 */

BgL_cportz00_344 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_351, BgL_startz00_352, BgL_endz00_353); } } } } 
{ 
 long BgL_iz00_345;
BgL_iz00_345 = 4L; 
BgL_loopz00_346:
if(
(BgL_iz00_345==(-1L)))
{ /* Command/expr.scm 14 */
return BUNSPEC;}  else 
{ /* Command/expr.scm 14 */
{ /* Command/expr.scm 14 */
 obj_t BgL_arg1180z00_347;
{ /* Command/expr.scm 14 */

{ /* Command/expr.scm 14 */
 obj_t BgL_locationz00_349;
BgL_locationz00_349 = 
BBOOL(((bool_t)0)); 
{ /* Command/expr.scm 14 */

BgL_arg1180z00_347 = 
BGl_readz00zz__readerz00(BgL_cportz00_344, BgL_locationz00_349); } } } 
{ /* Command/expr.scm 14 */
 int BgL_tmpz00_388;
BgL_tmpz00_388 = 
(int)(BgL_iz00_345); 
CNST_TABLE_SET(BgL_tmpz00_388, BgL_arg1180z00_347); } } 
{ /* Command/expr.scm 14 */
 int BgL_auxz00_350;
BgL_auxz00_350 = 
(int)(
(BgL_iz00_345-1L)); 
{ 
 long BgL_iz00_393;
BgL_iz00_393 = 
(long)(BgL_auxz00_350); 
BgL_iz00_345 = BgL_iz00_393; 
goto BgL_loopz00_346;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
return ( 
BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = BUNSPEC, BUNSPEC) ;} 

}



/* gdb-expr->bdb-expr */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2exprzd2ze3bdbzd2exprz31zzcommand_exprz00(obj_t BgL_exprz00_3)
{
{ /* Command/expr.scm 27 */
if(
BGl_hashtablezf3zf3zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00))
{ /* Command/expr.scm 29 */
 obj_t BgL_bdbzd2exprzd2_209;
BgL_bdbzd2exprzd2_209 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00, BgL_exprz00_3); 
if(
CBOOL(BgL_bdbzd2exprzd2_209))
{ /* Command/expr.scm 30 */
return BgL_bdbzd2exprzd2_209;}  else 
{ /* Command/expr.scm 30 */
return BgL_exprz00_3;} }  else 
{ /* Command/expr.scm 28 */
return BgL_exprz00_3;} } 

}



/* &gdb-expr->bdb-expr */
obj_t BGl_z62gdbzd2exprzd2ze3bdbzd2exprz53zzcommand_exprz00(obj_t BgL_envz00_320, obj_t BgL_exprz00_321)
{
{ /* Command/expr.scm 27 */
return 
BGl_gdbzd2exprzd2ze3bdbzd2exprz31zzcommand_exprz00(BgL_exprz00_321);} 

}



/* bdb-expr->gdb-expr */
BGL_EXPORTED_DEF obj_t BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t BgL_exprz00_4, obj_t BgL_gdbzd2funzd2_5)
{
{ /* Command/expr.scm 47 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2bdbzd2modeza2zd2zzengine_paramz00, 
((obj_t)
CNST_TABLE_REF(0)))))
{ /* Command/expr.scm 49 */
 obj_t BgL_resz00_27;
{ /* Command/expr.scm 49 */
 bool_t BgL_test1214z00_407;
if(
STRINGP(BgL_gdbzd2funzd2_5))
{ /* Command/expr.scm 49 */
BgL_test1214z00_407 = 
BGl_bigloozd2exprzf3z21zzcommand_exprz00(BgL_exprz00_4)
; }  else 
{ /* Command/expr.scm 49 */
BgL_test1214z00_407 = ((bool_t)0)
; } 
if(BgL_test1214z00_407)
{ /* Command/expr.scm 51 */
 obj_t BgL_resz00_35;
BgL_resz00_35 = 
BGl_bigloozd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(BgL_exprz00_4, BgL_gdbzd2funzd2_5); 
if(
STRINGP(BgL_resz00_35))
{ /* Command/expr.scm 52 */
BgL_resz00_27 = BgL_resz00_35; }  else 
{ /* Command/expr.scm 52 */
if(
BGl_bigloozd2identzf3z21zztools_toolsz00(BgL_exprz00_4))
{ /* Command/expr.scm 118 */
 obj_t BgL_cz00_211;
BgL_cz00_211 = 
BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(BgL_exprz00_4, BgL_gdbzd2funzd2_5); 
if(
STRINGP(BgL_cz00_211))
{ /* Command/expr.scm 119 */
BgL_resz00_27 = BgL_cz00_211; }  else 
{ /* Command/expr.scm 119 */
BgL_resz00_27 = BgL_exprz00_4; } }  else 
{ /* Command/expr.scm 117 */
BgL_resz00_27 = BgL_exprz00_4; } } }  else 
{ /* Command/expr.scm 49 */
if(
BGl_bigloozd2identzf3z21zztools_toolsz00(BgL_exprz00_4))
{ /* Command/expr.scm 118 */
 obj_t BgL_cz00_214;
BgL_cz00_214 = 
BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(BgL_exprz00_4, BgL_gdbzd2funzd2_5); 
if(
STRINGP(BgL_cz00_214))
{ /* Command/expr.scm 119 */
BgL_resz00_27 = BgL_cz00_214; }  else 
{ /* Command/expr.scm 119 */
BgL_resz00_27 = BgL_exprz00_4; } }  else 
{ /* Command/expr.scm 117 */
BgL_resz00_27 = BgL_exprz00_4; } } } 
BGl_initzd2expressionzd2tablez12z12zzcommand_exprz00(); 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00, BgL_resz00_27, BgL_exprz00_4); 
{ /* Command/expr.scm 58 */
 obj_t BgL_list1024z00_28;
{ /* Command/expr.scm 58 */
 obj_t BgL_arg1025z00_29;
{ /* Command/expr.scm 58 */
 obj_t BgL_arg1026z00_30;
{ /* Command/expr.scm 58 */
 obj_t BgL_arg1027z00_31;
{ /* Command/expr.scm 58 */
 obj_t BgL_arg1028z00_32;
BgL_arg1028z00_32 = 
MAKE_YOUNG_PAIR(BGl_string1153z00zzcommand_exprz00, BNIL); 
BgL_arg1027z00_31 = 
MAKE_YOUNG_PAIR(BgL_resz00_27, BgL_arg1028z00_32); } 
BgL_arg1026z00_30 = 
MAKE_YOUNG_PAIR(BGl_string1154z00zzcommand_exprz00, BgL_arg1027z00_31); } 
BgL_arg1025z00_29 = 
MAKE_YOUNG_PAIR(BgL_exprz00_4, BgL_arg1026z00_30); } 
BgL_list1024z00_28 = 
MAKE_YOUNG_PAIR(BGl_string1155z00zzcommand_exprz00, BgL_arg1025z00_29); } 
BGl_verbosez00zztools_speekz00(
BINT(4L), BgL_list1024z00_28); } 
return BgL_resz00_27;}  else 
{ /* Command/expr.scm 48 */
return BgL_exprz00_4;} } 

}



/* &bdb-expr->gdb-expr */
obj_t BGl_z62bdbzd2exprzd2ze3gdbzd2exprz53zzcommand_exprz00(obj_t BgL_envz00_322, obj_t BgL_exprz00_323, obj_t BgL_gdbzd2funzd2_324)
{
{ /* Command/expr.scm 47 */
return 
BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(BgL_exprz00_323, BgL_gdbzd2funzd2_324);} 

}



/* reset-expression-table! */
BGL_EXPORTED_DEF obj_t BGl_resetzd2expressionzd2tablez12z12zzcommand_exprz00(void)
{
{ /* Command/expr.scm 70 */
return ( 
BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = BUNSPEC, BUNSPEC) ;} 

}



/* &reset-expression-table! */
obj_t BGl_z62resetzd2expressionzd2tablez12z70zzcommand_exprz00(obj_t BgL_envz00_325)
{
{ /* Command/expr.scm 70 */
return 
BGl_resetzd2expressionzd2tablez12z12zzcommand_exprz00();} 

}



/* init-expression-table! */
obj_t BGl_initzd2expressionzd2tablez12z12zzcommand_exprz00(void)
{
{ /* Command/expr.scm 76 */
if(
BGl_hashtablezf3zf3zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00))
{ /* Command/expr.scm 77 */
return BFALSE;}  else 
{ /* Command/expr.scm 77 */
return ( 
BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} } 

}



/* bigloo-expr? */
bool_t BGl_bigloozd2exprzf3z21zzcommand_exprz00(obj_t BgL_exprz00_6)
{
{ /* Command/expr.scm 89 */
{ /* Command/expr.scm 90 */
 long BgL_lenz00_40;
BgL_lenz00_40 = 
STRING_LENGTH(BgL_exprz00_6); 
if(
(BgL_lenz00_40>0L))
{ /* Command/expr.scm 91 */
if(
(
STRING_REF(BgL_exprz00_6, 0L)==((unsigned char)'(')))
{ /* Command/expr.scm 92 */
return 
(
STRING_REF(BgL_exprz00_6, 
(BgL_lenz00_40-1L))==((unsigned char)')'));}  else 
{ /* Command/expr.scm 92 */
return ((bool_t)0);} }  else 
{ /* Command/expr.scm 91 */
return ((bool_t)0);} } } 

}



/* bdb-mangle-expr */
obj_t BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(obj_t BgL_exprz00_7, obj_t BgL_gdbzd2funzd2_8)
{
{ /* Command/expr.scm 101 */
{ /* Command/expr.scm 102 */
 obj_t BgL_cz00_226;
if(
STRINGP(BgL_gdbzd2funzd2_8))
{ /* Command/expr.scm 102 */
BgL_cz00_226 = 
BGl_bdbzd2mangle2zd2zzpatient_manglingz00(BgL_gdbzd2funzd2_8, BgL_exprz00_7); }  else 
{ /* Command/expr.scm 102 */
BgL_cz00_226 = BFALSE; } 
if(
STRINGP(BgL_cz00_226))
{ /* Command/expr.scm 103 */
return BgL_cz00_226;}  else 
{ /* Command/expr.scm 105 */
 obj_t BgL_cz00_229;
BgL_cz00_229 = 
BGl_bdbzd2manglezd2zzpatient_manglingz00(BgL_exprz00_7); 
if(
STRINGP(BgL_cz00_229))
{ /* Command/expr.scm 106 */
return BgL_cz00_229;}  else 
{ /* Command/expr.scm 106 */
return BFALSE;} } } } 

}



/* bigloo-expr->gdb-expr */
obj_t BGl_bigloozd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t BgL_exprz00_11, obj_t BgL_gdbzd2funzd2_12)
{
{ /* Command/expr.scm 134 */
{ /* Command/expr.scm 137 */
 obj_t BgL_zc3z04anonymousza31043ze3z87_328;
BgL_zc3z04anonymousza31043ze3z87_328 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31043ze3ze5zzcommand_exprz00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31043ze3z87_328, 
(int)(0L), BgL_exprz00_11); 
PROCEDURE_SET(BgL_zc3z04anonymousza31043ze3z87_328, 
(int)(1L), BgL_gdbzd2funzd2_12); 
return 
BGl_z62tryz62zz__errorz00(BgL_zc3z04anonymousza31043ze3z87_328, BGl_proc1156z00zzcommand_exprz00);} } 

}



/* &<@anonymous:1047> */
obj_t BGl_z62zc3z04anonymousza31047ze3ze5zzcommand_exprz00(obj_t BgL_envz00_329, obj_t BgL_escapez00_330, obj_t BgL_objz00_331, obj_t BgL_procz00_332, obj_t BgL_msgz00_333)
{
{ /* Command/expr.scm 145 */
BGl_bdbzd2notifyzd2errorz00zztools_errorz00(BgL_objz00_331, BgL_procz00_332, BgL_msgz00_333); 
return 
BGL_PROCEDURE_CALL1(BgL_escapez00_330, BFALSE);} 

}



/* &<@anonymous:1043> */
obj_t BGl_z62zc3z04anonymousza31043ze3ze5zzcommand_exprz00(obj_t BgL_envz00_334)
{
{ /* Command/expr.scm 137 */
{ /* Command/expr.scm 137 */
 obj_t BgL_exprz00_335; obj_t BgL_gdbzd2funzd2_336;
BgL_exprz00_335 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_334, 
(int)(0L))); 
BgL_gdbzd2funzd2_336 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_334, 
(int)(1L))); 
return 
BGl_zc3z04anonymousza31043ze3ze70z60zzcommand_exprz00(BgL_gdbzd2funzd2_336, BgL_exprz00_335);} } 

}



/* <@anonymous:1043>~0 */
obj_t BGl_zc3z04anonymousza31043ze3ze70z60zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_343, obj_t BgL_exprz00_342)
{
{ /* Command/expr.scm 137 */
{ /* Command/expr.scm 137 */
 obj_t BgL_portz00_57;
{ /* Command/expr.scm 137 */
 long BgL_endz00_71;
BgL_endz00_71 = 
STRING_LENGTH(BgL_exprz00_342); 
{ /* Command/expr.scm 137 */

BgL_portz00_57 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_exprz00_342, 
BINT(0L), 
BINT(BgL_endz00_71)); } } 
{ /* Command/expr.scm 138 */
 obj_t BgL_exitd1014z00_58;
BgL_exitd1014z00_58 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Command/expr.scm 144 */
 obj_t BgL_zc3z04anonymousza31046ze3z87_327;
BgL_zc3z04anonymousza31046ze3z87_327 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31046ze3ze5zzcommand_exprz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31046ze3z87_327, 
(int)(0L), BgL_portz00_57); 
{ /* Command/expr.scm 138 */
 obj_t BgL_arg1846z00_242;
{ /* Command/expr.scm 138 */
 obj_t BgL_arg1847z00_243;
BgL_arg1847z00_243 = 
BGL_EXITD_PROTECT(BgL_exitd1014z00_58); 
BgL_arg1846z00_242 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31046ze3z87_327, BgL_arg1847z00_243); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1014z00_58, BgL_arg1846z00_242); BUNSPEC; } 
{ /* Command/expr.scm 139 */
 obj_t BgL_tmp1016z00_60;
{ /* Command/expr.scm 139 */
 obj_t BgL_expz00_61;
{ /* Command/expr.scm 139 */
 obj_t BgL_list1045z00_66;
BgL_list1045z00_66 = 
MAKE_YOUNG_PAIR(BgL_portz00_57, BNIL); 
BgL_expz00_61 = 
BGl_readzd2casezd2sensitivez00zz__readerz00(BgL_list1045z00_66); } 
{ /* Command/expr.scm 139 */
 obj_t BgL_eofz00_62;
{ /* Command/expr.scm 140 */

{ /* Command/expr.scm 140 */

BgL_eofz00_62 = 
BGl_readz00zz__readerz00(BgL_portz00_57, BFALSE); } } 
{ /* Command/expr.scm 140 */

if(
EOF_OBJECTP(BgL_eofz00_62))
{ /* Command/expr.scm 141 */
BgL_tmp1016z00_60 = 
BGl_compilezd2exprzd2zzcommand_exprz00(BgL_expz00_61, BgL_gdbzd2funzd2_343); }  else 
{ /* Command/expr.scm 141 */
BgL_tmp1016z00_60 = 
BGl_errorz00zz__errorz00(BGl_string1157z00zzcommand_exprz00, BGl_string1158z00zzcommand_exprz00, BgL_eofz00_62); } } } } 
{ /* Command/expr.scm 138 */
 bool_t BgL_test1228z00_495;
{ /* Command/expr.scm 138 */
 obj_t BgL_arg1845z00_245;
BgL_arg1845z00_245 = 
BGL_EXITD_PROTECT(BgL_exitd1014z00_58); 
BgL_test1228z00_495 = 
PAIRP(BgL_arg1845z00_245); } 
if(BgL_test1228z00_495)
{ /* Command/expr.scm 138 */
 obj_t BgL_arg1843z00_246;
{ /* Command/expr.scm 138 */
 obj_t BgL_arg1844z00_247;
BgL_arg1844z00_247 = 
BGL_EXITD_PROTECT(BgL_exitd1014z00_58); 
BgL_arg1843z00_246 = 
CDR(
((obj_t)BgL_arg1844z00_247)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1014z00_58, BgL_arg1843z00_246); BUNSPEC; }  else 
{ /* Command/expr.scm 138 */BFALSE; } } 
bgl_close_input_port(BgL_portz00_57); 
return BgL_tmp1016z00_60;} } } } } 

}



/* &<@anonymous:1046> */
obj_t BGl_z62zc3z04anonymousza31046ze3ze5zzcommand_exprz00(obj_t BgL_envz00_337)
{
{ /* Command/expr.scm 138 */
{ /* Command/expr.scm 144 */
 obj_t BgL_portz00_338;
BgL_portz00_338 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_337, 
(int)(0L))); 
return 
bgl_close_input_port(BgL_portz00_338);} } 

}



/* compile-expr */
obj_t BGl_compilezd2exprzd2zzcommand_exprz00(obj_t BgL_expz00_13, obj_t BgL_gdbzd2funzd2_14)
{
{ /* Command/expr.scm 154 */
return 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_14, BgL_expz00_13, 
((obj_t)
CNST_TABLE_REF(1)));} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_339, obj_t BgL_bodyz00_174)
{
{ /* Command/expr.scm 191 */
if(
NULLP(
CDR(
((obj_t)BgL_bodyz00_174))))
{ /* Command/expr.scm 193 */
 obj_t BgL_arg1123z00_178;
{ /* Command/expr.scm 193 */
 obj_t BgL_arg1124z00_179;
BgL_arg1124z00_179 = 
CAR(
((obj_t)BgL_bodyz00_174)); 
BgL_arg1123z00_178 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_339, BgL_arg1124z00_179, 
((obj_t)
CNST_TABLE_REF(1))); } 
return 
string_append(BgL_arg1123z00_178, BGl_string1159z00zzcommand_exprz00);}  else 
{ /* Command/expr.scm 194 */
 obj_t BgL_arg1125z00_180; obj_t BgL_arg1126z00_181;
{ /* Command/expr.scm 194 */
 obj_t BgL_arg1130z00_182;
BgL_arg1130z00_182 = 
CAR(
((obj_t)BgL_bodyz00_174)); 
BgL_arg1125z00_180 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_339, BgL_arg1130z00_182, 
((obj_t)
CNST_TABLE_REF(1))); } 
{ /* Command/expr.scm 195 */
 obj_t BgL_arg1132z00_183;
BgL_arg1132z00_183 = 
CDR(
((obj_t)BgL_bodyz00_174)); 
BgL_arg1126z00_181 = 
BGl_loopze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_339, BgL_arg1132z00_183); } 
return 
string_append_3(BgL_arg1125z00_180, BGl_string1160z00zzcommand_exprz00, BgL_arg1126z00_181);} } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_340, obj_t BgL_argsz00_194)
{
{ /* Command/expr.scm 198 */
if(
NULLP(BgL_argsz00_194))
{ /* Command/expr.scm 199 */
return BGl_string1161z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 201 */
 obj_t BgL_argz00_197;
{ /* Command/expr.scm 201 */
 obj_t BgL_arg1152z00_205;
BgL_arg1152z00_205 = 
CAR(
((obj_t)BgL_argsz00_194)); 
BgL_argz00_197 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_340, BgL_arg1152z00_205, 
((obj_t)
CNST_TABLE_REF(1))); } 
{ /* Command/expr.scm 204 */
 obj_t BgL_arg1143z00_198;
{ /* Command/expr.scm 204 */
 obj_t BgL_arg1151z00_204;
BgL_arg1151z00_204 = 
CDR(
((obj_t)BgL_argsz00_194)); 
BgL_arg1143z00_198 = 
BGl_loopze71ze7zzcommand_exprz00(BgL_gdbzd2funzd2_340, BgL_arg1151z00_204); } 
{ /* Command/expr.scm 202 */
 obj_t BgL_list1144z00_199;
{ /* Command/expr.scm 202 */
 obj_t BgL_arg1147z00_200;
{ /* Command/expr.scm 202 */
 obj_t BgL_arg1148z00_201;
{ /* Command/expr.scm 202 */
 obj_t BgL_arg1149z00_202;
{ /* Command/expr.scm 202 */
 obj_t BgL_arg1150z00_203;
BgL_arg1150z00_203 = 
MAKE_YOUNG_PAIR(BGl_string1159z00zzcommand_exprz00, BNIL); 
BgL_arg1149z00_202 = 
MAKE_YOUNG_PAIR(BgL_arg1143z00_198, BgL_arg1150z00_203); } 
BgL_arg1148z00_201 = 
MAKE_YOUNG_PAIR(BGl_string1160z00zzcommand_exprz00, BgL_arg1149z00_202); } 
BgL_arg1147z00_200 = 
MAKE_YOUNG_PAIR(BgL_argz00_197, BgL_arg1148z00_201); } 
BgL_list1144z00_199 = 
MAKE_YOUNG_PAIR(BGl_string1162z00zzcommand_exprz00, BgL_arg1147z00_200); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1144z00_199);} } } } 

}



/* compile~0 */
obj_t BGl_compileze70ze7zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_341, obj_t BgL_expz00_80, obj_t BgL_sitez00_81)
{
{ /* Command/expr.scm 206 */
{ 
 obj_t BgL_bodyz00_96; obj_t BgL_funz00_98; obj_t BgL_argsz00_99;
if(
SYMBOLP(BgL_expz00_80))
{ /* Command/expr.scm 206 */
{ /* Command/expr.scm 158 */
 obj_t BgL_strz00_145;
{ /* Command/expr.scm 158 */
 obj_t BgL_arg1484z00_251;
BgL_arg1484z00_251 = 
SYMBOL_TO_STRING(
((obj_t)BgL_expz00_80)); 
BgL_strz00_145 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1484z00_251); } 
{ /* Command/expr.scm 158 */
 obj_t BgL_cz00_146;
BgL_cz00_146 = 
BGl_bdbzd2mangle2zd2zzpatient_manglingz00(BgL_gdbzd2funzd2_341, BgL_strz00_145); 
{ /* Command/expr.scm 159 */

if(
STRINGP(BgL_cz00_146))
{ /* Command/expr.scm 160 */
return BgL_cz00_146;}  else 
{ /* Command/expr.scm 162 */
 obj_t BgL_cz00_148;
if(
(BgL_sitez00_81==
((obj_t)
CNST_TABLE_REF(2))))
{ /* Command/expr.scm 162 */
BgL_cz00_148 = 
BGl_bdbzd2manglezd2forzd2funcallzd2zzpatient_manglingz00(BgL_strz00_145); }  else 
{ /* Command/expr.scm 162 */
BgL_cz00_148 = 
BGl_bdbzd2manglezd2zzpatient_manglingz00(BgL_strz00_145); } 
if(
STRINGP(BgL_cz00_148))
{ /* Command/expr.scm 165 */
return BgL_cz00_148;}  else 
{ /* Command/expr.scm 165 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1157z00zzcommand_exprz00, BGl_string1168z00zzcommand_exprz00, BgL_strz00_145);} } } } } }  else 
{ /* Command/expr.scm 206 */
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_expz00_80))
{ /* Command/expr.scm 169 */
 obj_t BgL_arg1091z00_277;
{ /* Command/expr.scm 169 */

BgL_arg1091z00_277 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_expz00_80, 
BINT(10L)); } 
return 
string_append_3(BGl_string1169z00zzcommand_exprz00, BgL_arg1091z00_277, BGl_string1163z00zzcommand_exprz00);}  else 
{ /* Command/expr.scm 206 */
if(
BOOLEANP(BgL_expz00_80))
{ /* Command/expr.scm 206 */
if(
CBOOL(BgL_expz00_80))
{ /* Command/expr.scm 171 */
return BGl_string1170z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 171 */
return BGl_string1171z00zzcommand_exprz00;} }  else 
{ /* Command/expr.scm 206 */
if(
CHARP(BgL_expz00_80))
{ /* Command/expr.scm 206 */
{ /* Command/expr.scm 173 */
 obj_t BgL_arg1092z00_153;
{ /* Command/expr.scm 173 */

BgL_arg1092z00_153 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
BINT(
(
CCHAR(BgL_expz00_80))), 
BINT(10L)); } 
return 
string_append_3(BGl_string1167z00zzcommand_exprz00, BgL_arg1092z00_153, BGl_string1163z00zzcommand_exprz00);} }  else 
{ /* Command/expr.scm 206 */
if(
NULLP(BgL_expz00_80))
{ /* Command/expr.scm 206 */
return BGl_string1161z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 206 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_expz00_80, BUNSPEC))
{ /* Command/expr.scm 206 */
return BGl_string1172z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 206 */
if(
PAIRP(BgL_expz00_80))
{ /* Command/expr.scm 206 */
 obj_t BgL_cdrzd2157zd2_109;
BgL_cdrzd2157zd2_109 = 
CDR(
((obj_t)BgL_expz00_80)); 
if(
(
CAR(
((obj_t)BgL_expz00_80))==
((obj_t)
CNST_TABLE_REF(3))))
{ /* Command/expr.scm 206 */
if(
PAIRP(BgL_cdrzd2157zd2_109))
{ /* Command/expr.scm 206 */
 obj_t BgL_cdrzd2161zd2_113;
BgL_cdrzd2161zd2_113 = 
CDR(BgL_cdrzd2157zd2_109); 
if(
PAIRP(BgL_cdrzd2161zd2_113))
{ /* Command/expr.scm 206 */
if(
NULLP(
CDR(BgL_cdrzd2161zd2_113)))
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1062z00_117; obj_t BgL_arg1063z00_118;
BgL_arg1062z00_117 = 
CAR(BgL_cdrzd2157zd2_109); 
BgL_arg1063z00_118 = 
CAR(BgL_cdrzd2161zd2_113); 
{ /* Command/expr.scm 179 */
 obj_t BgL_arg1094z00_286; obj_t BgL_arg1096z00_287;
BgL_arg1094z00_286 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_arg1062z00_117, 
((obj_t)
CNST_TABLE_REF(1))); 
BgL_arg1096z00_287 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_arg1063z00_118, 
((obj_t)
CNST_TABLE_REF(1))); 
{ /* Command/expr.scm 179 */
 obj_t BgL_list1097z00_288;
{ /* Command/expr.scm 179 */
 obj_t BgL_arg1099z00_289;
{ /* Command/expr.scm 179 */
 obj_t BgL_arg1100z00_290;
{ /* Command/expr.scm 179 */
 obj_t BgL_arg1101z00_291;
BgL_arg1101z00_291 = 
MAKE_YOUNG_PAIR(BgL_arg1096z00_287, BNIL); 
BgL_arg1100z00_290 = 
MAKE_YOUNG_PAIR(BGl_string1173z00zzcommand_exprz00, BgL_arg1101z00_291); } 
BgL_arg1099z00_289 = 
MAKE_YOUNG_PAIR(BgL_arg1094z00_286, BgL_arg1100z00_290); } 
BgL_list1097z00_288 = 
MAKE_YOUNG_PAIR(BGl_string1174z00zzcommand_exprz00, BgL_arg1099z00_289); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1097z00_288);} } }  else 
{ /* Command/expr.scm 206 */
 obj_t BgL_cdrzd2186zd2_120;
BgL_cdrzd2186zd2_120 = 
CDR(
((obj_t)BgL_cdrzd2157zd2_109)); 
{ /* Command/expr.scm 206 */
 obj_t BgL_cdrzd2193zd2_121;
BgL_cdrzd2193zd2_121 = 
CDR(
((obj_t)BgL_cdrzd2186zd2_120)); 
if(
PAIRP(BgL_cdrzd2193zd2_121))
{ /* Command/expr.scm 206 */
if(
NULLP(
CDR(BgL_cdrzd2193zd2_121)))
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1067z00_125; obj_t BgL_arg1068z00_126; obj_t BgL_arg1069z00_127;
BgL_arg1067z00_125 = 
CAR(
((obj_t)BgL_cdrzd2157zd2_109)); 
BgL_arg1068z00_126 = 
CAR(
((obj_t)BgL_cdrzd2186zd2_120)); 
BgL_arg1069z00_127 = 
CAR(BgL_cdrzd2193zd2_121); 
{ /* Command/expr.scm 182 */
 obj_t BgL_arg1102z00_299; obj_t BgL_arg1106z00_300; obj_t BgL_arg1107z00_301;
BgL_arg1102z00_299 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_arg1067z00_125, 
((obj_t)
CNST_TABLE_REF(1))); 
BgL_arg1106z00_300 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_arg1068z00_126, 
((obj_t)
CNST_TABLE_REF(1))); 
BgL_arg1107z00_301 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_arg1069z00_127, 
((obj_t)
CNST_TABLE_REF(1))); 
{ /* Command/expr.scm 181 */
 obj_t BgL_list1108z00_302;
{ /* Command/expr.scm 181 */
 obj_t BgL_arg1109z00_303;
{ /* Command/expr.scm 181 */
 obj_t BgL_arg1112z00_304;
{ /* Command/expr.scm 181 */
 obj_t BgL_arg1116z00_305;
{ /* Command/expr.scm 181 */
 obj_t BgL_arg1117z00_306;
{ /* Command/expr.scm 181 */
 obj_t BgL_arg1118z00_307;
BgL_arg1118z00_307 = 
MAKE_YOUNG_PAIR(BgL_arg1107z00_301, BNIL); 
BgL_arg1117z00_306 = 
MAKE_YOUNG_PAIR(BGl_string1175z00zzcommand_exprz00, BgL_arg1118z00_307); } 
BgL_arg1116z00_305 = 
MAKE_YOUNG_PAIR(BgL_arg1106z00_300, BgL_arg1117z00_306); } 
BgL_arg1112z00_304 = 
MAKE_YOUNG_PAIR(BGl_string1173z00zzcommand_exprz00, BgL_arg1116z00_305); } 
BgL_arg1109z00_303 = 
MAKE_YOUNG_PAIR(BgL_arg1102z00_299, BgL_arg1112z00_304); } 
BgL_list1108z00_302 = 
MAKE_YOUNG_PAIR(BGl_string1174z00zzcommand_exprz00, BgL_arg1109z00_303); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1108z00_302);} } }  else 
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1070z00_128; obj_t BgL_arg1071z00_129;
BgL_arg1070z00_128 = 
CAR(
((obj_t)BgL_expz00_80)); 
BgL_arg1071z00_129 = 
CDR(
((obj_t)BgL_expz00_80)); 
BgL_funz00_98 = BgL_arg1070z00_128; 
BgL_argsz00_99 = BgL_arg1071z00_129; 
BgL_tagzd2110zd2_100:
{ /* Command/expr.scm 197 */
 obj_t BgL_funz00_186;
BgL_funz00_186 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_funz00_98, 
((obj_t)
CNST_TABLE_REF(2))); 
{ /* Command/expr.scm 197 */
 obj_t BgL_argsz00_187;
BgL_argsz00_187 = 
BGl_loopze71ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_argsz00_99); 
{ /* Command/expr.scm 198 */

{ /* Command/expr.scm 206 */
 obj_t BgL_list1134z00_188;
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1136z00_189;
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1137z00_190;
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1138z00_191;
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1140z00_192;
BgL_arg1140z00_192 = 
MAKE_YOUNG_PAIR(BGl_string1163z00zzcommand_exprz00, BNIL); 
BgL_arg1138z00_191 = 
MAKE_YOUNG_PAIR(BgL_argsz00_187, BgL_arg1140z00_192); } 
BgL_arg1137z00_190 = 
MAKE_YOUNG_PAIR(BGl_string1160z00zzcommand_exprz00, BgL_arg1138z00_191); } 
BgL_arg1136z00_189 = 
MAKE_YOUNG_PAIR(BgL_funz00_186, BgL_arg1137z00_190); } 
BgL_list1134z00_188 = 
MAKE_YOUNG_PAIR(BGl_string1164z00zzcommand_exprz00, BgL_arg1136z00_189); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1134z00_188);} } } } } }  else 
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1073z00_131; obj_t BgL_arg1075z00_132;
BgL_arg1073z00_131 = 
CAR(
((obj_t)BgL_expz00_80)); 
BgL_arg1075z00_132 = 
CDR(
((obj_t)BgL_expz00_80)); 
{ 
 obj_t BgL_argsz00_663; obj_t BgL_funz00_662;
BgL_funz00_662 = BgL_arg1073z00_131; 
BgL_argsz00_663 = BgL_arg1075z00_132; 
BgL_argsz00_99 = BgL_argsz00_663; 
BgL_funz00_98 = BgL_funz00_662; 
goto BgL_tagzd2110zd2_100;} } } } }  else 
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1077z00_134;
BgL_arg1077z00_134 = 
CAR(
((obj_t)BgL_expz00_80)); 
{ 
 obj_t BgL_argsz00_667; obj_t BgL_funz00_666;
BgL_funz00_666 = BgL_arg1077z00_134; 
BgL_argsz00_667 = BgL_cdrzd2157zd2_109; 
BgL_argsz00_99 = BgL_argsz00_667; 
BgL_funz00_98 = BgL_funz00_666; 
goto BgL_tagzd2110zd2_100;} } }  else 
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1079z00_136;
BgL_arg1079z00_136 = 
CAR(
((obj_t)BgL_expz00_80)); 
{ 
 obj_t BgL_argsz00_671; obj_t BgL_funz00_670;
BgL_funz00_670 = BgL_arg1079z00_136; 
BgL_argsz00_671 = BgL_cdrzd2157zd2_109; 
BgL_argsz00_99 = BgL_argsz00_671; 
BgL_funz00_98 = BgL_funz00_670; 
goto BgL_tagzd2110zd2_100;} } }  else 
{ /* Command/expr.scm 206 */
if(
(
CAR(
((obj_t)BgL_expz00_80))==
((obj_t)
CNST_TABLE_REF(4))))
{ /* Command/expr.scm 206 */
BgL_bodyz00_96 = BgL_cdrzd2157zd2_109; 
if(
NULLP(BgL_bodyz00_96))
{ /* Command/expr.scm 187 */
return BGl_string1165z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 187 */
return 
BGl_loopze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_341, BgL_bodyz00_96);} }  else 
{ /* Command/expr.scm 206 */
 obj_t BgL_arg1085z00_141;
BgL_arg1085z00_141 = 
CAR(
((obj_t)BgL_expz00_80)); 
{ 
 obj_t BgL_argsz00_684; obj_t BgL_funz00_683;
BgL_funz00_683 = BgL_arg1085z00_141; 
BgL_argsz00_684 = BgL_cdrzd2157zd2_109; 
BgL_argsz00_99 = BgL_argsz00_684; 
BgL_funz00_98 = BgL_funz00_683; 
goto BgL_tagzd2110zd2_100;} } } }  else 
{ /* Command/expr.scm 206 */
return BFALSE;} } } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_exprz00(void)
{
{ /* Command/expr.scm 14 */
BGl_modulezd2initializa7ationz75zztools_toolsz00(85148931L, 
BSTRING_TO_STRING(BGl_string1176z00zzcommand_exprz00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(222649143L, 
BSTRING_TO_STRING(BGl_string1176z00zzcommand_exprz00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(203313037L, 
BSTRING_TO_STRING(BGl_string1176z00zzcommand_exprz00)); 
BGl_modulezd2initializa7ationz75zzpatient_manglingz00(448820806L, 
BSTRING_TO_STRING(BGl_string1176z00zzcommand_exprz00)); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(249086913L, 
BSTRING_TO_STRING(BGl_string1176z00zzcommand_exprz00));} 

}

#ifdef __cplusplus
}
#endif
