/*===========================================================================*/
/*   (Llib/gststructure.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread -DWITH_GZFILEOP -copt -fPIC -copt -IClib Llib/gststructure.scm -o objs/gststructure.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___GSTREAMER_GSTSTRUCTURE_TYPE_DEFINITIONS
#define BGL___GSTREAMER_GSTSTRUCTURE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2structurezd2_bgl {
   header_t header;
   obj_t widening;
   GstStructure * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
} *BgL_gstzd2structurezd2_bglt;


#endif // BGL___GSTREAMER_GSTSTRUCTURE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_gstzd2structurezd2propertyz00zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31121ze3ze5zz__gstreamer_gststructurez00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62gstzd2structurezd2propertyzd2listzb0zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62z52gstzd2structurezd2initz30zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gststructurez00(void);
static obj_t BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gstzd2structurezd2propertyzd2setz12zc0zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gststructurez00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31128ze3ze5zz__gstreamer_gststructurez00(obj_t);
extern void bgl_gst_add_finalizer(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62gstzd2structurezd2propertyz62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31137ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31129ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gststructurez00(void);
static obj_t BGl_z62zc3z04anonymousza31138ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2structurezd2initz52zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt);
static BgL_gstzd2structurezd2_bglt BGl_z62lambda1101z62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static BgL_gstzd2structurezd2_bglt BGl_z62lambda1107z62zz__gstreamer_gststructurez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31149ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1119z62zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62gstzd2structurezd2propertyzd2setz12za2zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1120z62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1126z62zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31085ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62lambda1127z62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2zz__gstreamer_gststructurez00 = BUNSPEC;
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gststructurez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gststructurez00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gststructurez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gststructurez00(void);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_gstzd2structurezd2propertyzd2listzd2zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt);
static obj_t __cnst[ 9 ] ;


DEFINE_STRING( BGl_string1166z00zz__gstreamer_gststructurez00, BgL_bgl_string1166za700za7za7_1195za7, "Illegal gst-structure", 21 );
DEFINE_STRING( BGl_string1168z00zz__gstreamer_gststructurez00, BgL_bgl_string1168za700za7za7_1196za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/gstreamer/src/Llib/gststructure.scm", 91 );
DEFINE_STRING( BGl_string1169z00zz__gstreamer_gststructurez00, BgL_bgl_string1169za700za7za7_1197za7, "&%gst-structure-init", 20 );
DEFINE_STRING( BGl_string1170z00zz__gstreamer_gststructurez00, BgL_bgl_string1170za700za7za7_1198za7, "gst-structure", 13 );
DEFINE_STRING( BGl_string1171z00zz__gstreamer_gststructurez00, BgL_bgl_string1171za700za7za7_1199za7, "&gst-structure-property-list", 28 );
DEFINE_STRING( BGl_string1172z00zz__gstreamer_gststructurez00, BgL_bgl_string1172za700za7za7_1200za7, "&gst-structure-property", 23 );
DEFINE_STRING( BGl_string1173z00zz__gstreamer_gststructurez00, BgL_bgl_string1173za700za7za7_1201za7, "keyword", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1167z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1202za7, BGl_z62zc3z04anonymousza31085ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1174z00zz__gstreamer_gststructurez00, BgL_bgl_string1174za700za7za7_1203za7, "&gst-structure-property-set!", 28 );
DEFINE_STRING( BGl_string1175z00zz__gstreamer_gststructurez00, BgL_bgl_string1175za700za7za7_1204za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1176z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1205za7, BGl_z62zc3z04anonymousza31121ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1177z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1120za7621206z00, BGl_z62lambda1120z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1178z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1119za7621207z00, BGl_z62lambda1119z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1179z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1208za7, BGl_z62zc3z04anonymousza31128ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1180z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1127za7621209z00, BGl_z62lambda1127z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1181z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1126za7621210z00, BGl_z62lambda1126z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1182z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1211za7, BGl_z62zc3z04anonymousza31138ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1183z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1212za7, BGl_z62zc3z04anonymousza31137ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1190z00zz__gstreamer_gststructurez00, BgL_bgl_string1190za700za7za7_1213za7, "__gstreamer_gststructure", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1184z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1214za7, BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1191z00zz__gstreamer_gststructurez00, BgL_bgl_string1191za700za7za7_1215za7, "__gstreamer_gststructure gst-structure string name obj $finalizer $gst-structure $builtin %gst-structure-init ", 110 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1185z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1216za7, BGl_z62zc3z04anonymousza31149ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1186z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1217za7, BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1187z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1107za7621218z00, BGl_z62lambda1107z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1188z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1101za7621219z00, BGl_z62lambda1101z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1189z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1220za7, BGl_z62zc3z04anonymousza31129ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2structurezd2propertyzd2setz12zd2envz12zz__gstreamer_gststructurez00, BgL_bgl_za762gstza7d2structu1221z00, BGl_z62gstzd2structurezd2propertyzd2setz12za2zz__gstreamer_gststructurez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2structurezd2initzd2envz80zz__gstreamer_gststructurez00, BgL_bgl_za762za752gstza7d2stru1222za7, BGl_z62z52gstzd2structurezd2initz30zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2structurezd2propertyzd2listzd2envz00zz__gstreamer_gststructurez00, BgL_bgl_za762gstza7d2structu1223z00, BGl_z62gstzd2structurezd2propertyzd2listzb0zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2structurezd2propertyzd2envzd2zz__gstreamer_gststructurez00, BgL_bgl_za762gstza7d2structu1224z00, BGl_z62gstzd2structurezd2propertyz62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00) );
ADD_ROOT( (void *)(&BGl_gstzd2structurezd2zz__gstreamer_gststructurez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(long BgL_checksumz00_318, char * BgL_fromz00_319)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gststructurez00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gststructurez00(); 
BGl_cnstzd2initzd2zz__gstreamer_gststructurez00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gststructurez00(); 
BGl_objectzd2initzd2zz__gstreamer_gststructurez00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gststructurez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__gstreamer_gststructure"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_cportz00_250;
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_stringz00_257;
BgL_stringz00_257 = BGl_string1191z00zz__gstreamer_gststructurez00; 
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_startz00_258;
BgL_startz00_258 = 
BINT(0L); 
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_endz00_259;
BgL_endz00_259 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_257))); 
{ /* Llib/gststructure.scm 15 */

BgL_cportz00_250 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_257, BgL_startz00_258, BgL_endz00_259); } } } } 
{ 
 long BgL_iz00_251;
BgL_iz00_251 = 8L; 
BgL_loopz00_252:
if(
(BgL_iz00_251==(-1L)))
{ /* Llib/gststructure.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gststructure.scm 15 */
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_arg1193z00_253;
{ /* Llib/gststructure.scm 15 */

{ /* Llib/gststructure.scm 15 */
 obj_t BgL_locationz00_255;
BgL_locationz00_255 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gststructure.scm 15 */

BgL_arg1193z00_253 = 
BGl_readz00zz__readerz00(BgL_cportz00_250, BgL_locationz00_255); } } } 
{ /* Llib/gststructure.scm 15 */
 int BgL_tmpz00_348;
BgL_tmpz00_348 = 
(int)(BgL_iz00_251); 
CNST_TABLE_SET(BgL_tmpz00_348, BgL_arg1193z00_253); } } 
{ /* Llib/gststructure.scm 15 */
 int BgL_auxz00_256;
BgL_auxz00_256 = 
(int)(
(BgL_iz00_251-1L)); 
{ 
 long BgL_iz00_353;
BgL_iz00_353 = 
(long)(BgL_auxz00_256); 
BgL_iz00_251 = BgL_iz00_353; 
goto BgL_loopz00_252;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* %gst-structure-init */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2structurezd2initz52zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_3)
{
{ /* Llib/gststructure.scm 47 */
{ /* Llib/gststructure.scm 49 */
 bool_t BgL_test1227z00_356;
{ /* Llib/gststructure.scm 49 */
 GstStructure * BgL_tmpz00_357;
BgL_tmpz00_357 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42); 
BgL_test1227z00_356 = 
(bool_t)!(BgL_tmpz00_357); } 
if(BgL_test1227z00_356)
{ /* Llib/gststructure.scm 50 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1073z00_22;
{ /* Llib/gststructure.scm 50 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1055z00_23;
{ /* Llib/gststructure.scm 50 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1054z00_26;
BgL_new1054z00_26 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gststructure.scm 50 */
 long BgL_arg1077z00_27;
BgL_arg1077z00_27 = 
BGL_CLASS_NUM(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_26), BgL_arg1077z00_27); } 
BgL_new1055z00_23 = BgL_new1054z00_26; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1055z00_23)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1055z00_23)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_368;
{ /* Llib/gststructure.scm 50 */
 obj_t BgL_arg1075z00_24;
{ /* Llib/gststructure.scm 50 */
 obj_t BgL_arg1076z00_25;
{ /* Llib/gststructure.scm 50 */
 obj_t BgL_classz00_137;
BgL_classz00_137 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_arg1076z00_25 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_137); } 
BgL_arg1075z00_24 = 
VECTOR_REF(BgL_arg1076z00_25,2L); } 
BgL_auxz00_368 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1075z00_24); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1055z00_23)))->BgL_stackz00)=((obj_t)BgL_auxz00_368),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1055z00_23)))->BgL_procz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1055z00_23)))->BgL_msgz00)=((obj_t)BGl_string1166z00zz__gstreamer_gststructurez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1055z00_23)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_3)),BUNSPEC); 
BgL_arg1073z00_22 = BgL_new1055z00_23; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1073z00_22)); }  else 
{ /* Llib/gststructure.scm 49 */BFALSE; } } 
{ /* Llib/gststructure.scm 55 */
 bool_t BgL_test1228z00_385;
{ /* Llib/gststructure.scm 55 */
 obj_t BgL_tmpz00_386;
BgL_tmpz00_386 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42finaliza7erze5); 
BgL_test1228z00_385 = 
PROCEDUREP(BgL_tmpz00_386); } 
if(BgL_test1228z00_385)
{ /* Llib/gststructure.scm 56 */
 obj_t BgL_arg1081z00_31;
BgL_arg1081z00_31 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42finaliza7erze5); 
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_3), BgL_arg1081z00_31); BUNSPEC; }  else 
{ /* Llib/gststructure.scm 55 */
if(
CBOOL(
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42finaliza7erze5)))
{ /* Llib/gststructure.scm 57 */
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_3), BGl_proc1167z00zz__gstreamer_gststructurez00); BUNSPEC; }  else 
{ /* Llib/gststructure.scm 57 */BFALSE; } } } 
return 
((obj_t)BgL_oz00_3);} 

}



/* &%gst-structure-init */
obj_t BGl_z62z52gstzd2structurezd2initz30zz__gstreamer_gststructurez00(obj_t BgL_envz00_171, obj_t BgL_oz00_172)
{
{ /* Llib/gststructure.scm 47 */
{ /* Llib/gststructure.scm 48 */
 BgL_gstzd2structurezd2_bglt BgL_auxz00_398;
{ /* Llib/gststructure.scm 48 */
 bool_t BgL_test1230z00_399;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_classz00_261;
BgL_classz00_261 = BGl_gstzd2structurezd2zz__gstreamer_gststructurez00; 
if(
BGL_OBJECTP(BgL_oz00_172))
{ /* Llib/gststructure.scm 48 */
 BgL_objectz00_bglt BgL_arg1829z00_263; long BgL_arg1830z00_264;
BgL_arg1829z00_263 = 
(BgL_objectz00_bglt)(BgL_oz00_172); 
BgL_arg1830z00_264 = 
BGL_CLASS_DEPTH(BgL_classz00_261); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gststructure.scm 48 */
 long BgL_idxz00_272;
BgL_idxz00_272 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_263); 
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1820z00_273;
{ /* Llib/gststructure.scm 48 */
 long BgL_arg1821z00_274;
BgL_arg1821z00_274 = 
(BgL_idxz00_272+BgL_arg1830z00_264); 
BgL_arg1820z00_273 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_274); } 
BgL_test1230z00_399 = 
(BgL_arg1820z00_273==BgL_classz00_261); } }  else 
{ /* Llib/gststructure.scm 48 */
 bool_t BgL_res1194z00_300;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_oclassz00_282;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1834z00_290; long BgL_arg1835z00_291;
BgL_arg1834z00_290 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gststructure.scm 48 */
 long BgL_arg1836z00_292;
BgL_arg1836z00_292 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_263); 
BgL_arg1835z00_291 = 
(BgL_arg1836z00_292-OBJECT_TYPE); } 
BgL_oclassz00_282 = 
VECTOR_REF(BgL_arg1834z00_290,BgL_arg1835z00_291); } 
{ /* Llib/gststructure.scm 48 */
 bool_t BgL__ortest_1114z00_283;
BgL__ortest_1114z00_283 = 
(BgL_classz00_261==BgL_oclassz00_282); 
if(BgL__ortest_1114z00_283)
{ /* Llib/gststructure.scm 48 */
BgL_res1194z00_300 = BgL__ortest_1114z00_283; }  else 
{ /* Llib/gststructure.scm 48 */
 long BgL_odepthz00_284;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1824z00_285;
BgL_arg1824z00_285 = 
(BgL_oclassz00_282); 
BgL_odepthz00_284 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_285); } 
if(
(BgL_arg1830z00_264<BgL_odepthz00_284))
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1822z00_287;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1823z00_288;
BgL_arg1823z00_288 = 
(BgL_oclassz00_282); 
BgL_arg1822z00_287 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_288, BgL_arg1830z00_264); } 
BgL_res1194z00_300 = 
(BgL_arg1822z00_287==BgL_classz00_261); }  else 
{ /* Llib/gststructure.scm 48 */
BgL_res1194z00_300 = ((bool_t)0); } } } } 
BgL_test1230z00_399 = BgL_res1194z00_300; } }  else 
{ /* Llib/gststructure.scm 48 */
BgL_test1230z00_399 = ((bool_t)0)
; } } 
if(BgL_test1230z00_399)
{ /* Llib/gststructure.scm 48 */
BgL_auxz00_398 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_172)
; }  else 
{ 
 obj_t BgL_auxz00_424;
BgL_auxz00_424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(2119L), BGl_string1169z00zz__gstreamer_gststructurez00, BGl_string1170z00zz__gstreamer_gststructurez00, BgL_oz00_172); 
FAILURE(BgL_auxz00_424,BFALSE,BFALSE);} } 
return 
BGl_z52gstzd2structurezd2initz52zz__gstreamer_gststructurez00(BgL_auxz00_398);} } 

}



/* &<@anonymous:1085> */
obj_t BGl_z62zc3z04anonymousza31085ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_173, obj_t BgL_oz00_174)
{
{ /* Llib/gststructure.scm 59 */
{ /* Llib/gststructure.scm 61 */
 GstStructure * BgL_arg1086z00_301;
BgL_arg1086z00_301 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_174)))->BgL_z42builtinz42); 
gst_structure_free(BgL_arg1086z00_301); 
return BUNSPEC;} } 

}



/* gst-structure-property-list */
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2propertyzd2listzd2zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_4)
{
{ /* Llib/gststructure.scm 67 */
{ /* Llib/gststructure.scm 69 */
 GstStructure * BgL_tmpz00_432;
BgL_tmpz00_432 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42); 
return 
bgl_gst_structure_property_list(BgL_tmpz00_432);} } 

}



/* &gst-structure-property-list */
obj_t BGl_z62gstzd2structurezd2propertyzd2listzb0zz__gstreamer_gststructurez00(obj_t BgL_envz00_175, obj_t BgL_oz00_176)
{
{ /* Llib/gststructure.scm 67 */
{ /* Llib/gststructure.scm 68 */
 BgL_gstzd2structurezd2_bglt BgL_auxz00_435;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_176, BGl_gstzd2structurezd2zz__gstreamer_gststructurez00))
{ /* Llib/gststructure.scm 68 */
BgL_auxz00_435 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_176)
; }  else 
{ 
 obj_t BgL_auxz00_439;
BgL_auxz00_439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(2865L), BGl_string1171z00zz__gstreamer_gststructurez00, BGl_string1170z00zz__gstreamer_gststructurez00, BgL_oz00_176); 
FAILURE(BgL_auxz00_439,BFALSE,BFALSE);} 
return 
BGl_gstzd2structurezd2propertyzd2listzd2zz__gstreamer_gststructurez00(BgL_auxz00_435);} } 

}



/* gst-structure-property */
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2propertyz00zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_5, obj_t BgL_propz00_6)
{
{ /* Llib/gststructure.scm 74 */
{ /* Llib/gststructure.scm 76 */
 GstStructure * BgL_arg1089z00_144; obj_t BgL_arg1090z00_145;
BgL_arg1089z00_144 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
BgL_arg1090z00_145 = 
KEYWORD_TO_STRING(BgL_propz00_6); 
{ /* Llib/gststructure.scm 76 */
 char * BgL_tmpz00_446;
BgL_tmpz00_446 = 
BSTRING_TO_STRING(BgL_arg1090z00_145); 
return 
bgl_gst_structure_get_property(BgL_arg1089z00_144, BgL_tmpz00_446);} } } 

}



/* &gst-structure-property */
obj_t BGl_z62gstzd2structurezd2propertyz62zz__gstreamer_gststructurez00(obj_t BgL_envz00_177, obj_t BgL_oz00_178, obj_t BgL_propz00_179)
{
{ /* Llib/gststructure.scm 74 */
{ /* Llib/gststructure.scm 75 */
 obj_t BgL_auxz00_457; BgL_gstzd2structurezd2_bglt BgL_auxz00_449;
if(
KEYWORDP(BgL_propz00_179))
{ /* Llib/gststructure.scm 75 */
BgL_auxz00_457 = BgL_propz00_179
; }  else 
{ 
 obj_t BgL_auxz00_460;
BgL_auxz00_460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(3235L), BGl_string1172z00zz__gstreamer_gststructurez00, BGl_string1173z00zz__gstreamer_gststructurez00, BgL_propz00_179); 
FAILURE(BgL_auxz00_460,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_178, BGl_gstzd2structurezd2zz__gstreamer_gststructurez00))
{ /* Llib/gststructure.scm 75 */
BgL_auxz00_449 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_178)
; }  else 
{ 
 obj_t BgL_auxz00_453;
BgL_auxz00_453 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(3235L), BGl_string1172z00zz__gstreamer_gststructurez00, BGl_string1170z00zz__gstreamer_gststructurez00, BgL_oz00_178); 
FAILURE(BgL_auxz00_453,BFALSE,BFALSE);} 
return 
BGl_gstzd2structurezd2propertyz00zz__gstreamer_gststructurez00(BgL_auxz00_449, BgL_auxz00_457);} } 

}



/* gst-structure-property-set! */
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2propertyzd2setz12zc0zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_7, obj_t BgL_propz00_8, obj_t BgL_valz00_9)
{
{ /* Llib/gststructure.scm 81 */
{ /* Llib/gststructure.scm 83 */
 GstStructure * BgL_arg1091z00_148; obj_t BgL_arg1092z00_149;
BgL_arg1091z00_148 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_7))->BgL_z42builtinz42); 
BgL_arg1092z00_149 = 
KEYWORD_TO_STRING(BgL_propz00_8); 
{ /* Llib/gststructure.scm 83 */
 char * BgL_tmpz00_467;
BgL_tmpz00_467 = 
BSTRING_TO_STRING(BgL_arg1092z00_149); 
return 
bgl_gst_structure_set_property(BgL_arg1091z00_148, BgL_tmpz00_467, BgL_valz00_9);} } } 

}



/* &gst-structure-property-set! */
obj_t BGl_z62gstzd2structurezd2propertyzd2setz12za2zz__gstreamer_gststructurez00(obj_t BgL_envz00_180, obj_t BgL_oz00_181, obj_t BgL_propz00_182, obj_t BgL_valz00_183)
{
{ /* Llib/gststructure.scm 81 */
{ /* Llib/gststructure.scm 82 */
 obj_t BgL_auxz00_485; obj_t BgL_auxz00_478; BgL_gstzd2structurezd2_bglt BgL_auxz00_470;
if(
STRINGP(BgL_valz00_183))
{ /* Llib/gststructure.scm 82 */
BgL_auxz00_485 = BgL_valz00_183
; }  else 
{ 
 obj_t BgL_auxz00_488;
BgL_auxz00_488 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(3637L), BGl_string1174z00zz__gstreamer_gststructurez00, BGl_string1175z00zz__gstreamer_gststructurez00, BgL_valz00_183); 
FAILURE(BgL_auxz00_488,BFALSE,BFALSE);} 
if(
KEYWORDP(BgL_propz00_182))
{ /* Llib/gststructure.scm 82 */
BgL_auxz00_478 = BgL_propz00_182
; }  else 
{ 
 obj_t BgL_auxz00_481;
BgL_auxz00_481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(3637L), BGl_string1174z00zz__gstreamer_gststructurez00, BGl_string1173z00zz__gstreamer_gststructurez00, BgL_propz00_182); 
FAILURE(BgL_auxz00_481,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_181, BGl_gstzd2structurezd2zz__gstreamer_gststructurez00))
{ /* Llib/gststructure.scm 82 */
BgL_auxz00_470 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_181)
; }  else 
{ 
 obj_t BgL_auxz00_474;
BgL_auxz00_474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1168z00zz__gstreamer_gststructurez00, 
BINT(3637L), BGl_string1174z00zz__gstreamer_gststructurez00, BGl_string1170z00zz__gstreamer_gststructurez00, BgL_oz00_181); 
FAILURE(BgL_auxz00_474,BFALSE,BFALSE);} 
return 
BGl_gstzd2structurezd2propertyzd2setz12zc0zz__gstreamer_gststructurez00(BgL_auxz00_470, BgL_auxz00_478, BgL_auxz00_485);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1099z00_51; obj_t BgL_arg1100z00_52;
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_v1065z00_65;
BgL_v1065z00_65 = 
create_vector(3L); 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1112z00_66;
BgL_arg1112z00_66 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(1)), BGl_proc1178z00zz__gstreamer_gststructurez00, BGl_proc1177z00zz__gstreamer_gststructurez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1176z00zz__gstreamer_gststructurez00, 
((obj_t)
CNST_TABLE_REF(2))); 
VECTOR_SET(BgL_v1065z00_65,0L,BgL_arg1112z00_66); } 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1122z00_79;
BgL_arg1122z00_79 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(3)), BGl_proc1181z00zz__gstreamer_gststructurez00, BGl_proc1180z00zz__gstreamer_gststructurez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1179z00zz__gstreamer_gststructurez00, 
((obj_t)
CNST_TABLE_REF(4))); 
VECTOR_SET(BgL_v1065z00_65,1L,BgL_arg1122z00_79); } 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1132z00_96;
BgL_arg1132z00_96 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(5)), BGl_proc1183z00zz__gstreamer_gststructurez00, BGl_proc1182z00zz__gstreamer_gststructurez00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(6))); 
VECTOR_SET(BgL_v1065z00_65,2L,BgL_arg1132z00_96); } 
BgL_arg1099z00_51 = BgL_v1065z00_65; } 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_v1066z00_106;
BgL_v1066z00_106 = 
create_vector(1L); 
{ /* Llib/gststructure.scm 31 */
 obj_t BgL_arg1140z00_107;
{ /* Llib/gststructure.scm 31 */
 obj_t BgL_arg1141z00_108;
BgL_arg1141z00_108 = 
MAKE_YOUNG_PAIR(BGl_proc1184z00zz__gstreamer_gststructurez00, BGl_proc1185z00zz__gstreamer_gststructurez00); 
BgL_arg1140z00_107 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg1141z00_108); } 
VECTOR_SET(BgL_v1066z00_106,0L,BgL_arg1140z00_107); } 
BgL_arg1100z00_52 = BgL_v1066z00_106; } 
return ( 
BGl_gstzd2structurezd2zz__gstreamer_gststructurez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(7)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_objectz00zz__objectz00, 18789L, BGl_proc1188z00zz__gstreamer_gststructurez00, BGl_proc1187z00zz__gstreamer_gststructurez00, BGl_z52gstzd2structurezd2initzd2envz80zz__gstreamer_gststructurez00, BGl_proc1186z00zz__gstreamer_gststructurez00, BFALSE, BgL_arg1099z00_51, BgL_arg1100z00_52), BUNSPEC) ;} } 

}



/* &<@anonymous:1109> */
obj_t BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_198, obj_t BgL_new1052z00_199)
{
{ /* Llib/gststructure.scm 21 */
{ 
 BgL_gstzd2structurezd2_bglt BgL_auxz00_522;
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_new1052z00_199)))->BgL_z42builtinz42)=((GstStructure *)
0L),BUNSPEC); 
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_new1052z00_199)))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_522 = 
((BgL_gstzd2structurezd2_bglt)BgL_new1052z00_199); 
return 
((obj_t)BgL_auxz00_522);} } 

}



/* &lambda1107 */
BgL_gstzd2structurezd2_bglt BGl_z62lambda1107z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_200)
{
{ /* Llib/gststructure.scm 21 */
{ /* Llib/gststructure.scm 21 */
 BgL_gstzd2structurezd2_bglt BgL_new1051z00_303;
BgL_new1051z00_303 = 
((BgL_gstzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2structurezd2_bgl) ))); 
{ /* Llib/gststructure.scm 21 */
 long BgL_arg1108z00_304;
BgL_arg1108z00_304 = 
BGL_CLASS_NUM(BGl_gstzd2structurezd2zz__gstreamer_gststructurez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_303), BgL_arg1108z00_304); } 
return BgL_new1051z00_303;} } 

}



/* &lambda1101 */
BgL_gstzd2structurezd2_bglt BGl_z62lambda1101z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_201, obj_t BgL_z42builtin1049z42_202, obj_t BgL_z42finaliza7er1050ze5_203)
{
{ /* Llib/gststructure.scm 21 */
{ /* Llib/gststructure.scm 21 */
 GstStructure * BgL_z42builtin1049z42_305;
BgL_z42builtin1049z42_305 = 
FOREIGN_TO_COBJ(BgL_z42builtin1049z42_202); 
{ /* Llib/gststructure.scm 21 */
 BgL_gstzd2structurezd2_bglt BgL_new1061z00_306;
{ /* Llib/gststructure.scm 21 */
 BgL_gstzd2structurezd2_bglt BgL_new1060z00_307;
BgL_new1060z00_307 = 
((BgL_gstzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2structurezd2_bgl) ))); 
{ /* Llib/gststructure.scm 21 */
 long BgL_arg1106z00_308;
BgL_arg1106z00_308 = 
BGL_CLASS_NUM(BGl_gstzd2structurezd2zz__gstreamer_gststructurez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_307), BgL_arg1106z00_308); } 
BgL_new1061z00_306 = BgL_new1060z00_307; } 
((((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_new1061z00_306))->BgL_z42builtinz42)=((GstStructure *)BgL_z42builtin1049z42_305),BUNSPEC); 
((((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_new1061z00_306))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1050ze5_203),BUNSPEC); 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_fun1102z00_309;
BgL_fun1102z00_309 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2structurezd2zz__gstreamer_gststructurez00); 
BGL_PROCEDURE_CALL1(BgL_fun1102z00_309, 
((obj_t)BgL_new1061z00_306)); } 
return BgL_new1061z00_306;} } } 

}



/* &<@anonymous:1149> */
obj_t BGl_z62zc3z04anonymousza31149ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_204, obj_t BgL_oz00_205, obj_t BgL_vz00_206)
{
{ /* Llib/gststructure.scm 29 */
{ /* Llib/gststructure.scm 35 */
 GstStructure * BgL_arg1150z00_310;
BgL_arg1150z00_310 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_205)))->BgL_z42builtinz42); 
{ /* Llib/gststructure.scm 35 */
 char * BgL_tmpz00_549;
BgL_tmpz00_549 = 
BSTRING_TO_STRING(BgL_vz00_206); 
gst_structure_set_name(BgL_arg1150z00_310, BgL_tmpz00_549); } BUNSPEC; } 
return BgL_vz00_206;} 

}



/* &<@anonymous:1144> */
obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_207, obj_t BgL_oz00_208)
{
{ /* Llib/gststructure.scm 29 */
{ /* Llib/gststructure.scm 31 */
 char * BgL_tmpz00_552;
{ /* Llib/gststructure.scm 32 */
 GstStructure * BgL_arg1147z00_311;
BgL_arg1147z00_311 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_208)))->BgL_z42builtinz42); 
BgL_tmpz00_552 = 
(char *)gst_structure_get_name(BgL_arg1147z00_311); } 
return 
string_to_bstring(BgL_tmpz00_552);} } 

}



/* &<@anonymous:1138> */
obj_t BGl_z62zc3z04anonymousza31138ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_209, obj_t BgL_oz00_210, obj_t BgL_vz00_211)
{
{ /* Llib/gststructure.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_210), 
(int)(0L), BgL_vz00_211);} 

}



/* &<@anonymous:1137> */
obj_t BGl_z62zc3z04anonymousza31137ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_212, obj_t BgL_oz00_213)
{
{ /* Llib/gststructure.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_213), 
(int)(0L));} 

}



/* &<@anonymous:1128> */
obj_t BGl_z62zc3z04anonymousza31128ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_214)
{
{ /* Llib/gststructure.scm 21 */
return BGl_proc1189z00zz__gstreamer_gststructurez00;} 

}



/* &lambda1127 */
obj_t BGl_z62lambda1127z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_215, obj_t BgL_oz00_216, obj_t BgL_vz00_217)
{
{ /* Llib/gststructure.scm 21 */
return 
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_216)))->BgL_z42finaliza7erze5)=((obj_t)BgL_vz00_217),BUNSPEC);} 

}



/* &lambda1126 */
obj_t BGl_z62lambda1126z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_218, obj_t BgL_oz00_219)
{
{ /* Llib/gststructure.scm 21 */
return 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_219)))->BgL_z42finaliza7erze5);} 

}



/* &<@anonymous:1129> */
obj_t BGl_z62zc3z04anonymousza31129ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_220, obj_t BgL_oz00_221)
{
{ /* Llib/gststructure.scm 26 */
{ /* Llib/gststructure.scm 28 */
 GstStructure * BgL_arg1130z00_314;
BgL_arg1130z00_314 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_221)))->BgL_z42builtinz42); 
gst_structure_free(BgL_arg1130z00_314); 
return BUNSPEC;} } 

}



/* &<@anonymous:1121> */
obj_t BGl_z62zc3z04anonymousza31121ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_222)
{
{ /* Llib/gststructure.scm 21 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1120 */
obj_t BGl_z62lambda1120z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_223, obj_t BgL_oz00_224, obj_t BgL_vz00_225)
{
{ /* Llib/gststructure.scm 21 */
{ /* Llib/gststructure.scm 21 */
 GstStructure * BgL_vz00_316;
BgL_vz00_316 = 
FOREIGN_TO_COBJ(BgL_vz00_225); 
return 
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_224)))->BgL_z42builtinz42)=((GstStructure *)BgL_vz00_316),BUNSPEC);} } 

}



/* &lambda1119 */
obj_t BGl_z62lambda1119z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_226, obj_t BgL_oz00_227)
{
{ /* Llib/gststructure.scm 21 */
return 
void_star_to_obj(
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_227)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gststructurez00(void)
{
{ /* Llib/gststructure.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(402338225L, 
BSTRING_TO_STRING(BGl_string1190z00zz__gstreamer_gststructurez00));} 

}

#ifdef __cplusplus
}
#endif
