/*===========================================================================*/
/*   (Bee/etags.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -O5 -unsafe -c Bee/etags.scm -o Bee/etags.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BEE_ETAGS_TYPE_DEFINITIONS
#define BGL_BEE_ETAGS_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_bdlzd2programzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_afilez00;
   obj_t BgL_etagsz00;
   obj_t BgL_filesz00;
   obj_t BgL_modulesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_genericsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_macrosz00;
   obj_t BgL_variablesz00;
   obj_t BgL_typesz00;
   obj_t BgL_classsz00;
   obj_t BgL_structuresz00;
   obj_t BgL_externsz00;
} *BgL_bdlzd2programzd2_bglt;

typedef struct BgL_bdlzd2entityzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
} *BgL_bdlzd2entityzd2_bglt;

typedef struct BgL_bdlzd2locationzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_filez00;
   int BgL_linez00;
} *BgL_bdlzd2locationzd2_bglt;


#endif // BGL_BEE_ETAGS_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_za2rootzd2directoryza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_bdlzd2entityzd2zz__bdl_typesz00;
static obj_t BGl_requirezd2initializa7ationz75zzbee_etagsz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_toplevelzd2initzd2zzbee_etagsz00(void);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zzbee_etagsz00(void);
BGL_IMPORT obj_t BGl_findzd2bdlzd2identz00zz__bdl_envz00(BgL_bdlzd2programzd2_bglt, obj_t);
static obj_t BGl_objectzd2initzd2zzbee_etagsz00(void);
extern obj_t BGl_za2etagsza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzbee_etagsz00(void);
static obj_t BGl_z62bigloozd2symbolzd2etagszd2sourcezd2locationz62zzbee_etagsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbee_etagsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_replz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bdl_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bdl_envz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bdl_etagsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT bool_t fexists(char *);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2symbolzd2etagszd2sourcezd2locationz00zzbee_etagsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzbee_etagsz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzbee_etagsz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zzbee_etagsz00(void);
static obj_t BGl_gczd2rootszd2initz00zzbee_etagsz00(void);
BGL_EXPORTED_DECL obj_t BGl_readzd2etagszd2filez00zzbee_etagsz00(void);
static obj_t BGl_z62readzd2etagszd2filez62zzbee_etagsz00(obj_t);
static obj_t BGl_za2prgmza2z00zzbee_etagsz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
BGL_IMPORT BgL_bdlzd2programzd2_bglt BGl_newzd2programzd2zz__bdl_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2etagsz12zc0zz__bdl_etagsz00(BgL_bdlzd2programzd2_bglt, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2symbolzd2etagszd2sourcezd2locationzd2envzd2zzbee_etagsz00, BgL_bgl_za762biglooza7d2symb1048z00, BGl_z62bigloozd2symbolzd2etagszd2sourcezd2locationz62zzbee_etagsz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1039z00zzbee_etagsz00, BgL_bgl_string1039za700za7za7b1049za7, ".", 1 );
DEFINE_STRING( BGl_string1040z00zzbee_etagsz00, BgL_bgl_string1040za700za7za7b1050za7, "\"...", 4 );
DEFINE_STRING( BGl_string1041z00zzbee_etagsz00, BgL_bgl_string1041za700za7za7b1051za7, "reading etags file \"", 20 );
DEFINE_STRING( BGl_string1042z00zzbee_etagsz00, BgL_bgl_string1042za700za7za7b1052za7, "done.\n", 6 );
DEFINE_STRING( BGl_string1043z00zzbee_etagsz00, BgL_bgl_string1043za700za7za7b1053za7, "Can't find .etags file in path ~a, please generate one with bgltags", 67 );
DEFINE_STRING( BGl_string1044z00zzbee_etagsz00, BgL_bgl_string1044za700za7za7b1054za7, ":", 1 );
DEFINE_STRING( BGl_string1045z00zzbee_etagsz00, BgL_bgl_string1045za700za7za7b1055za7, "bee_etags", 9 );
DEFINE_STRING( BGl_string1046z00zzbee_etagsz00, BgL_bgl_string1046za700za7za7b1056za7, "read-etags-file ", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2etagszd2filezd2envzd2zzbee_etagsz00, BgL_bgl_za762readza7d2etagsza71057za7, BGl_z62readzd2etagszd2filez62zzbee_etagsz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzbee_etagsz00) );
ADD_ROOT( (void *)(&BGl_za2prgmza2z00zzbee_etagsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbee_etagsz00(long BgL_checksumz00_92, char * BgL_fromz00_93)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbee_etagsz00))
{ 
BGl_requirezd2initializa7ationz75zzbee_etagsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzbee_etagsz00(); 
BGl_libraryzd2moduleszd2initz00zzbee_etagsz00(); 
BGl_cnstzd2initzd2zzbee_etagsz00(); 
BGl_importedzd2moduleszd2initz00zzbee_etagsz00(); 
return 
BGl_toplevelzd2initzd2zzbee_etagsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
BGl_modulezd2initializa7ationz75zz__bdl_typesz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__bdl_envz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__bdl_etagsz00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "bee_etags"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "bee_etags"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
{ /* Bee/etags.scm 17 */
 obj_t BgL_cportz00_81;
{ /* Bee/etags.scm 17 */
 obj_t BgL_stringz00_88;
BgL_stringz00_88 = BGl_string1046z00zzbee_etagsz00; 
{ /* Bee/etags.scm 17 */
 obj_t BgL_startz00_89;
BgL_startz00_89 = 
BINT(0L); 
{ /* Bee/etags.scm 17 */
 obj_t BgL_endz00_90;
BgL_endz00_90 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_88))); 
{ /* Bee/etags.scm 17 */

BgL_cportz00_81 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_88, BgL_startz00_89, BgL_endz00_90); } } } } 
{ 
 long BgL_iz00_82;
BgL_iz00_82 = 0L; 
BgL_loopz00_83:
if(
(BgL_iz00_82==(-1L)))
{ /* Bee/etags.scm 17 */
return BUNSPEC;}  else 
{ /* Bee/etags.scm 17 */
{ /* Bee/etags.scm 17 */
 obj_t BgL_arg1047z00_84;
{ /* Bee/etags.scm 17 */

{ /* Bee/etags.scm 17 */
 obj_t BgL_locationz00_86;
BgL_locationz00_86 = 
BBOOL(((bool_t)0)); 
{ /* Bee/etags.scm 17 */

BgL_arg1047z00_84 = 
BGl_readz00zz__readerz00(BgL_cportz00_81, BgL_locationz00_86); } } } 
{ /* Bee/etags.scm 17 */
 int BgL_tmpz00_125;
BgL_tmpz00_125 = 
(int)(BgL_iz00_82); 
CNST_TABLE_SET(BgL_tmpz00_125, BgL_arg1047z00_84); } } 
{ /* Bee/etags.scm 17 */
 int BgL_auxz00_87;
BgL_auxz00_87 = 
(int)(
(BgL_iz00_82-1L)); 
{ 
 long BgL_iz00_130;
BgL_iz00_130 = 
(long)(BgL_auxz00_87); 
BgL_iz00_82 = BgL_iz00_130; 
goto BgL_loopz00_83;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
return ( 
BGl_za2prgmza2z00zzbee_etagsz00 = BUNSPEC, BUNSPEC) ;} 

}



/* read-etags-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2etagszd2filez00zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 35 */
{ /* Bee/etags.scm 36 */
 obj_t BgL_filez00_13;
{ /* Bee/etags.scm 36 */
 obj_t BgL_arg1029z00_29;
{ /* Bee/etags.scm 36 */
 obj_t BgL_list1030z00_30;
{ /* Bee/etags.scm 36 */
 obj_t BgL_arg1031z00_31;
BgL_arg1031z00_31 = 
MAKE_YOUNG_PAIR(BGl_za2rootzd2directoryza2zd2zzengine_paramz00, BNIL); 
BgL_list1030z00_30 = 
MAKE_YOUNG_PAIR(BGl_string1039z00zzbee_etagsz00, BgL_arg1031z00_31); } 
BgL_arg1029z00_29 = BgL_list1030z00_30; } 
BgL_filez00_13 = 
BGl_findzd2filezf2pathz20zz__osz00(BGl_za2etagsza2z00zzengine_paramz00, BgL_arg1029z00_29); } 
{ /* Bee/etags.scm 37 */
 bool_t BgL_test1060z00_136;
if(
STRINGP(BgL_filez00_13))
{ /* Bee/etags.scm 37 */
BgL_test1060z00_136 = 
fexists(
BSTRING_TO_STRING(BgL_filez00_13))
; }  else 
{ /* Bee/etags.scm 37 */
BgL_test1060z00_136 = ((bool_t)0)
; } 
if(BgL_test1060z00_136)
{ /* Bee/etags.scm 37 */
{ /* Bee/etags.scm 40 */
 obj_t BgL_list1018z00_16;
{ /* Bee/etags.scm 40 */
 obj_t BgL_arg1019z00_17;
{ /* Bee/etags.scm 40 */
 obj_t BgL_arg1020z00_18;
BgL_arg1020z00_18 = 
MAKE_YOUNG_PAIR(BGl_string1040z00zzbee_etagsz00, BNIL); 
BgL_arg1019z00_17 = 
MAKE_YOUNG_PAIR(BgL_filez00_13, BgL_arg1020z00_18); } 
BgL_list1018z00_16 = 
MAKE_YOUNG_PAIR(BGl_string1041z00zzbee_etagsz00, BgL_arg1019z00_17); } 
BGl_verbosez00zztools_speekz00(
BINT(4L), BgL_list1018z00_16); } 
{ /* Bee/etags.scm 41 */
 BgL_bdlzd2programzd2_bglt BgL_prgmz00_19;
BgL_prgmz00_19 = 
BGl_newzd2programzd2zz__bdl_envz00(BFALSE, BgL_filez00_13, BNIL); 
BGl_za2prgmza2z00zzbee_etagsz00 = 
((obj_t)BgL_prgmz00_19); 
BGl_readzd2etagsz12zc0zz__bdl_etagsz00(BgL_prgmz00_19, BNIL, BNIL); } 
{ /* Bee/etags.scm 44 */
 obj_t BgL_list1022z00_21;
BgL_list1022z00_21 = 
MAKE_YOUNG_PAIR(BGl_string1042z00zzbee_etagsz00, BNIL); 
return 
BGl_verbosez00zztools_speekz00(
BINT(4L), BgL_list1022z00_21);} }  else 
{ /* Bee/etags.scm 47 */
 obj_t BgL_arg1023z00_22;
{ /* Bee/etags.scm 47 */
 obj_t BgL_arg1024z00_23;
{ /* Bee/etags.scm 47 */
 obj_t BgL_list1027z00_26;
{ /* Bee/etags.scm 47 */
 obj_t BgL_arg1028z00_27;
BgL_arg1028z00_27 = 
MAKE_YOUNG_PAIR(BGl_za2rootzd2directoryza2zd2zzengine_paramz00, BNIL); 
BgL_list1027z00_26 = 
MAKE_YOUNG_PAIR(BGl_string1039z00zzbee_etagsz00, BgL_arg1028z00_27); } 
BgL_arg1024z00_23 = BgL_list1027z00_26; } 
{ /* Bee/etags.scm 46 */
 obj_t BgL_list1025z00_24;
{ /* Bee/etags.scm 46 */
 obj_t BgL_arg1026z00_25;
BgL_arg1026z00_25 = 
MAKE_YOUNG_PAIR(BgL_arg1024z00_23, BNIL); 
BgL_list1025z00_24 = 
MAKE_YOUNG_PAIR(BGl_za2etagsza2z00zzengine_paramz00, BgL_arg1026z00_25); } 
BgL_arg1023z00_22 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1043z00zzbee_etagsz00, BgL_list1025z00_24); } } 
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(0)), BgL_arg1023z00_22, BGl_za2etagsza2z00zzengine_paramz00);} } } } 

}



/* &read-etags-file */
obj_t BGl_z62readzd2etagszd2filez62zzbee_etagsz00(obj_t BgL_envz00_78)
{
{ /* Bee/etags.scm 35 */
return 
BGl_readzd2etagszd2filez00zzbee_etagsz00();} 

}



/* bigloo-symbol-etags-source-location */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2symbolzd2etagszd2sourcezd2locationz00zzbee_etagsz00(obj_t BgL_idz00_3)
{
{ /* Bee/etags.scm 53 */
{ /* Bee/etags.scm 54 */
 obj_t BgL_ez00_32;
BgL_ez00_32 = 
BGl_findzd2bdlzd2identz00zz__bdl_envz00(
((BgL_bdlzd2programzd2_bglt)BGl_za2prgmza2z00zzbee_etagsz00), BgL_idz00_3); 
{ /* Bee/etags.scm 55 */
 bool_t BgL_test1062z00_163;
{ /* Bee/etags.scm 55 */
 obj_t BgL_classz00_44;
BgL_classz00_44 = BGl_bdlzd2entityzd2zz__bdl_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_32))
{ /* Bee/etags.scm 55 */
 BgL_objectz00_bglt BgL_arg1827z00_46;
BgL_arg1827z00_46 = 
(BgL_objectz00_bglt)(BgL_ez00_32); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Bee/etags.scm 55 */
 long BgL_idxz00_52;
BgL_idxz00_52 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_46); 
BgL_test1062z00_163 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_52+1L))==BgL_classz00_44); }  else 
{ /* Bee/etags.scm 55 */
 bool_t BgL_res1038z00_77;
{ /* Bee/etags.scm 55 */
 obj_t BgL_oclassz00_60;
{ /* Bee/etags.scm 55 */
 obj_t BgL_arg1834z00_68; long BgL_arg1835z00_69;
BgL_arg1834z00_68 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Bee/etags.scm 55 */
 long BgL_arg1836z00_70;
BgL_arg1836z00_70 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_46); 
BgL_arg1835z00_69 = 
(BgL_arg1836z00_70-OBJECT_TYPE); } 
BgL_oclassz00_60 = 
VECTOR_REF(BgL_arg1834z00_68,BgL_arg1835z00_69); } 
{ /* Bee/etags.scm 55 */
 bool_t BgL__ortest_1114z00_61;
BgL__ortest_1114z00_61 = 
(BgL_classz00_44==BgL_oclassz00_60); 
if(BgL__ortest_1114z00_61)
{ /* Bee/etags.scm 55 */
BgL_res1038z00_77 = BgL__ortest_1114z00_61; }  else 
{ /* Bee/etags.scm 55 */
 long BgL_odepthz00_62;
{ /* Bee/etags.scm 55 */
 obj_t BgL_arg1824z00_63;
BgL_arg1824z00_63 = 
(BgL_oclassz00_60); 
BgL_odepthz00_62 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_63); } 
if(
(1L<BgL_odepthz00_62))
{ /* Bee/etags.scm 55 */
 obj_t BgL_arg1822z00_65;
{ /* Bee/etags.scm 55 */
 obj_t BgL_arg1823z00_66;
BgL_arg1823z00_66 = 
(BgL_oclassz00_60); 
BgL_arg1822z00_65 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_66, 1L); } 
BgL_res1038z00_77 = 
(BgL_arg1822z00_65==BgL_classz00_44); }  else 
{ /* Bee/etags.scm 55 */
BgL_res1038z00_77 = ((bool_t)0); } } } } 
BgL_test1062z00_163 = BgL_res1038z00_77; } }  else 
{ /* Bee/etags.scm 55 */
BgL_test1062z00_163 = ((bool_t)0)
; } } 
if(BgL_test1062z00_163)
{ /* Bee/etags.scm 57 */
 BgL_bdlzd2locationzd2_bglt BgL_i1011z00_35;
BgL_i1011z00_35 = 
((BgL_bdlzd2locationzd2_bglt)
(((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_ez00_32)))->BgL_locz00)); 
{ /* Bee/etags.scm 58 */
 obj_t BgL_arg1033z00_36; obj_t BgL_arg1034z00_37;
BgL_arg1033z00_36 = 
(((BgL_bdlzd2locationzd2_bglt)COBJECT(BgL_i1011z00_35))->BgL_filez00); 
{ /* Bee/etags.scm 59 */

BgL_arg1034z00_37 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(
(((BgL_bdlzd2locationzd2_bglt)COBJECT(BgL_i1011z00_35))->BgL_linez00)), 10L); } 
return 
string_append_3(BgL_arg1033z00_36, BGl_string1044z00zzbee_etagsz00, BgL_arg1034z00_37);} }  else 
{ /* Bee/etags.scm 55 */
return BFALSE;} } } } 

}



/* &bigloo-symbol-etags-source-location */
obj_t BGl_z62bigloozd2symbolzd2etagszd2sourcezd2locationz62zzbee_etagsz00(obj_t BgL_envz00_79, obj_t BgL_idz00_80)
{
{ /* Bee/etags.scm 53 */
return 
BGl_bigloozd2symbolzd2etagszd2sourcezd2locationz00zzbee_etagsz00(BgL_idz00_80);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbee_etagsz00(void)
{
{ /* Bee/etags.scm 17 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(203313037L, 
BSTRING_TO_STRING(BGl_string1045z00zzbee_etagsz00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(222649143L, 
BSTRING_TO_STRING(BGl_string1045z00zzbee_etagsz00)); 
BGl_modulezd2initializa7ationz75zztools_errorz00(249086913L, 
BSTRING_TO_STRING(BGl_string1045z00zzbee_etagsz00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(467242068L, 
BSTRING_TO_STRING(BGl_string1045z00zzbee_etagsz00)); 
return 
BGl_modulezd2initializa7ationz75zzengine_replz00(38245929L, 
BSTRING_TO_STRING(BGl_string1045z00zzbee_etagsz00));} 

}

#ifdef __cplusplus
}
#endif
